;------------------------------------------------------------------             
;*                   802.2 Command Codes                          *             
;------------------------------------------------------------------             
     LLC_DIR_INTERRUPT                            EQU       0000H               
     LLC_DIR_OPEN_ADAPTER                         EQU       0003H               
     LLC_DIR_CLOSE_ADAPTER                        EQU       0004H               
     LLC_DIR_SET_GROUP_ADDRESS                    EQU       0006H               
     LLC_DIR_SET_FUNCTIONAL_ADDRESS               EQU       0007H               
     LLC_DIR_READ_LOG                             EQU       0008H               
     LLC_TRANSMIT_DIR_FRAME                       EQU       000AH               
     LLC_TRANSMIT_I_FRAME                         EQU       000BH               
     LLC_TRANSMIT_UI_FRAME                        EQU       000DH               
     LLC_TRANSMIT_XID_CMD                         EQU       000EH               
     LLC_TRANSMIT_XID_RESP_FINAL                  EQU       000FH               
     LLC_TRANSMIT_XID_RESP_NOT_FINAL              EQU       0010H               
     LLC_TRANSMIT_TEST_CMD                        EQU       0011H               
     LLC_DLC_RESET                                EQU       0014H               
     LLC_DLC_OPEN_SAP                             EQU       0015H               
     LLC_DLC_CLOSE_SAP                            EQU       0016H               
     LLC_DLC_REALLOCATE_STATIONS                  EQU       0017H               
     LLC_DLC_OPEN_STATION                         EQU       0019H               
     LLC_DLC_CLOSE_STATION                        EQU       001AH               
     LLC_DLC_CONNECT_STATION                      EQU       001BH               
     LLC_DLC_MODIFY                               EQU       001CH               
     LLC_DLC_FLOW_CONTROL                         EQU       001DH               
     LLC_DLC_STATISTICS                           EQU       001EH               
     LLC_DIR_INITIALIZE                           EQU       0020H               
     LLC_DIR_STATUS                               EQU       0021H               
     LLC_DIR_TIMER_SET                            EQU       0022H               
     LLC_DIR_TIMER_CANCEL                         EQU       0023H               
     LLC_BUFFER_GET                               EQU       0026H               
     LLC_BUFFER_FREE                              EQU       0027H               
     LLC_RECEIVE                                  EQU       0028H               
     LLC_RECEIVE_CANCEL                           EQU       0029H               
     LLC_RECEIVE_MODIFY                           EQU       002AH               
     LLC_DIR_TIMER_CANCEL_GROUP                   EQU       002CH               
     LLC_DIR_SET_EXCEPTION_FLAGS                  EQU       002DH               
     LLC_READ                                     EQU       0031H               
     LLC_READ_CANCEL                              EQU       0032H               
     LLC_DLC_SET_THRESHOLD                        EQU       0033H               
     LLC_DIR_CLOSE_DIRECT                         EQU       0034H               
     LLC_DIR_OPEN_DIRECT                          EQU       0035H               
     LLC_PURGE_RESOURCES                          EQU       0036H               
                                                                                
                                                                                
;------------------------------------------------------------------             
;*                   802.2 Return Codes                           *             
;------------------------------------------------------------------             
     LLC_CCB_ACCEPTED                             EQU       0000H               
     LLC_INVALID_CCB_PTR                          EQU       0001H               
     LLC_INVALID_CCB                              EQU       0002H               
     LLC_INVALID_CCB_CHAIN                        EQU       0003H               
     LLC_ADAPTER_CLOSED_RC_ERROR                  EQU       0004H               
     LLC_UNACCEPTABLE_RC                          EQU       0005H               
     LLC_INCALID_COMMAND_PTR                      EQU       0006H               
                                                                                
     LLC_COMMAND_ACCEPTED                         EQU       0000H               
     LLC_INVALID_COMMAND                          EQU       0001H               
     LLC_DUPLICATE_COMMAND                        EQU       0002H               
     LLC_ADAPTER_OPEN                             EQU       0003H               
     LLC_ADAPTER_CLOSED                           EQU       0004H               
     LLC_REQUIRED_PARAMETER                       EQU       0005H               
     LLC_INVALID_OPTION                           EQU       0006H               
     LLC_CMND_CAN                                 EQU       0007H               
     LLC_INVALID_PRIORITY                         EQU       0008H               
     LLC_CMND_CAN_BY_USER                         EQU       000AH               
     LLC_CMND_CAN_ADAPTER_CLOSED                  EQU       000BH               
     LLC_COMMAND_CMPL_NOT_OPENED                  EQU       000CH               
     LLC_TIMER_ERROR                              EQU       0011H               
     LLC_INVALID_LOG_ID                           EQU       0013H               
     LLC_INADEQUATE_LOG                           EQU       0015H               
     LLC_BAD_BUFFER_SIZE                          EQU       0016H               
     LLC_BAD_SAP_BUFFER_SIZE                      EQU       0018H               
     LLC_INADEQUATE_BUFFERS                       EQU       0019H               
     LLC_USER_AREA_TOO_LARGE                      EQU       001AH               
     LLC_INVALID_PARM_OFFSET                      EQU       001BH               
     LLC_INVALID_POINTER                          EQU       001CH               
     LLC_INVALID_ADAPTER                          EQU       001DH               
     LLC_NO_BUFFERS_AVAILABLE                     EQU       0020H               
     LLC_INADEQUATE_BUFFER_AREA                   EQU       0021H               
     LLC_TRANSMIT_ERROR                           EQU       0022H               
     LLC_DATA_REMOVAL_ERROR                       EQU       0023H               
     LLC_INVALID_MAC_FRAME                        EQU       0024H               
     LLC_MAX_CMND_EXCEEDED                        EQU       0025H               
     LLC_LINK_NOT_XMIT_I_FRAME                    EQU       0027H               
     LLC_INVALID_FRAME_LENGTH                     EQU       0028H               
     LLC_INADEQUATE_RCV_BUFFERS                   EQU       0030H               
     LLC_INVALID_NODE_ADDRESS                     EQU       0032H               
     LLC_INVALID_RCV_BUF_LEN                      EQU       0033H               
     LLC_INVALID_XMIT_BUF_LEN                     EQU       0034H               
     LLC_INVALID_STATION_ID                       EQU       0040H               
     LLC_PROTOCOL_ERROR                           EQU       0041H               
     LLC_PARM_EXCEEDED_MAX                        EQU       0042H               
     LLC_INVALID_SAP_VALUE                        EQU       0043H               
     LLC_INVALID_ROUTING_INFO                     EQU       0044H               
     LLC_NONEXISTENT_GRP_SAP                      EQU       0045H               
     LLC_INADEQUATE_LINK_STN                      EQU       0046H               
     LLC_SAP_NOT_CLOSED                           EQU       0047H               
     LLC_GRP_SAP_NOT_CLOSED                       EQU       0048H               
     LLC_GRP_SAP_MAX                              EQU       0049H               
     LLC_SEQUENCE_ERROR                           EQU       004AH               
     LLC_STATION_CLOSED_NOACK                     EQU       004BH               
     LLC_SEQUENCE_ERROR_CMND_OUT                  EQU       004CH               
     LLC_CONNECTION_FAILED                        EQU       004DH               
     LLC_MEMBER_SAP_NOT_FOUND                     EQU       004EH               
     LLC_INVALID_REMOTE_ADDR                      EQU       004FH               
     LLC_INVALID_CCB_POINTER                      EQU       0050H               
     LLC_INVALID_APPL_ID                          EQU       0052H               
     LLC_INVALID_APPL_KEYCODE                     EQU       0053H               
     LLC_INVALID_SYS_KEYCODE                      EQU       0054H               
     LLC_BUFFER_LEN_TOO_SMALL                     EQU       0055H               
     LLC_SYS_PROC_NOT_INSTALLED                   EQU       0056H               
     LLC_INADEQUATE_STN_AVAIALBLE                 EQU       0057H               
     LLC_INVALID_CCB_PARAMETER1                   EQU       0058H               
     LLC_INADEQUATE_ELEMENTS                      EQU       0059H               
     LLC_INITIALIZATION_FAILURE                   EQU       005AH               
     LLC_CCB_CHAIN_ERROR                          EQU       005BH               
     LLC_DIR_STN_NOT_ASSIGNED                     EQU       005CH               
     LLC_DD_NOT_INSTALLED                         EQU       005DH               
     LLC_ADAPTER_NOT_INSTALLED                    EQU       005EH               
     LLC_CHAIN_ADAPTER_ERROR                      EQU       005FH               
     LLC_ADAPTER_INITIALIZING                     EQU       0060H               
     LLC_MAX_USER_EXCEEDED                        EQU       0061H               
     LLC_SYSTEM_ACTION                            EQU       0062H               
     LLC_DIR_STN_NOT_AVAILABLE                    EQU       0063H               
     LLC_INVALID_DDNAME                           EQU       0064H               
     LLC_NO_GDT_SELECTORS                         EQU       0065H               
     LLC_CCB_PURGED                               EQU       0067H               
     LLC_INVALID_INTERFACE_APPLID                 EQU       0068H               
     LLC_SEGMENT_LOCK_UNSUCCESSFUL                EQU       0069H               
     LLC_COMMAND_IN_PROGRESS                      EQU       00FFH               
