;-------------------------------------------------------------------            
;*                   ADAPTER CHECK CODES                           *            
;-------------------------------------------------------------------            
                                                                                
     LLC_ADAPTER_INOPERATIVE                      EQU       8000H               
     LLC_ILLEGAL_OP_CODE                          EQU       1000H               
     LLC_LOCAL_BUS_PARITY_ERROR                   EQU       0800H               
     LLC_EXTERNAL_PARITY_ERROR                    EQU       0400H               
     LLC_PH_LOCAL_PARITY_ERROR                    EQU       0100H               
     LLC_PH_XMIT_PARITY_ERROR                     EQU       0080H               
     LLC_PH_RCV_PARITY_ERROR                      EQU       0040H               
     LLC_PH_TRANSMIT_UNDERRUN                     EQU       0020H               
     LLC_PH_RECEIVE_OVERRUN                       EQU       0010H               
     LLC_INVALID_INTERRUPT                        EQU       0008H               
     LLC_INVALID_ERROR_INTERRUPT                  EQU       0004H               
     LLC_PC_INOPERATIVE                           EQU       0003H               
     LLC_INVALID_SUP_REQUEST                      EQU       0002H               
     LLC_PROGRAM_CHECK                            EQU       0001H               
                                                                                
                                                                                
     LLC_PROGRAM_DETECTED_ERROR                   EQU       0100H               
     LLC_SUP_REQUEST_INVALID                      EQU       0300H               
     LLC_INVALID_TASK_ID                          EQU       0400H               
     LLC_READY_TASK_REQUEST                       EQU       0500H               
     LLC_INVALID_ADAPTER_NUMBER                   EQU       0600H               
     LLC_INVALID_ES_VALUE                         EQU       0700H               
                                                                                
;-------------------------------------------------------------------            
;*                   RING STATUS CODES                             *            
;-------------------------------------------------------------------            
                                                                                
     LLC_SIGNAL_LOST                              EQU       8000H               
     LLC_HARD_ERROR                               EQU       4000H               
     LLC_SOFT_ERROR                               EQU       2000H               
     LLC_TRANSMIT_BEACON                          EQU       1000H               
     LLC_LOBE_WIRE_FAULT                          EQU       0800H               
     LLC_AUTO_REMOVAL_ERROR                       EQU       0400H               
     LLC_REMOVE_RECEIVED                          EQU       0100H               
     LLC_COUNTER_OVERFLOW                         EQU       0080H               
     LLC_SINGLE_STATION                           EQU       0040H               
     LLC_RING_RECOVERY                            EQU       0020H               
                                                                                
     LLC_NO_CARRIER_DETECTED                      EQU       8000H               
     LLC_HOT_CARRIER_DETECTED                     EQU       1000H               
     LLC_HOT_CARRIER_GENERATED                    EQU       0400H               
                                                                                
;-------------------------------------------------------------------            
;*                   BRING-UP CODES                                *            
;-------------------------------------------------------------------            
                                                                                
     LLC_TEST_COULD_NOT_RUN                       EQU       0020H               
     LLC_ROM_TEST_FAILED                          EQU       0022H               
     LLC_SRAM_TEST_FAILED                         EQU       0024H               
     LLC_PROC_INST_TEST_FAILED                    EQU       0026H               
     LLC_PROC_INTERRUPT_FAILED                    EQU       0028H               
     LLC_SRAM_REG_TEST_FAILED                     EQU       002AH               
     LLC_PROTOCOL_TEST_FAILED                     EQU       002CH               
                                                                                
     LLC_PC_TIMER_FAILED                          EQU       0040H               
     LLC_SRAM_WRITE_ERROR                         EQU       0042H               
     LLC_SRAM_READONLY_ERROR                      EQU       0044H               
     LLC_SRAM_WRITEONLY_ERROR                     EQU       0046H               
     LLC_INITIALIZATION_TIMEOUT                   EQU       0048H               
                                                                                
;-------------------------------------------------------------------            
;*                   OPEN ERROR CODES - TOKEN-RING                 *            
;*                   OPEN ERROR PHASES                             *            
;-------------------------------------------------------------------            
                                                                                
     LLC_LOBE_MEDIA_TEST                          EQU       0010H               
     LLC_PHYSICAL_INSERTION                       EQU       0020H               
                                                                                
                                                                                
     LLC_ADDRESS_VERIFICATION                     EQU       0030H               
     LLC_ROLL_CALL_POLL                           EQU       0040H               
     LLC_REQUEST_PARAMETERS                       EQU       0050H               
                                                                                
;-------------------------------------------------------------------            
;*                   OPEN ERROR CODES - TOKEN-RING                 *            
;*                   OPEN ERROR CONDITIONS                         *            
;-------------------------------------------------------------------            
                                                                                
     LLC_FUNCTION_FAILURE                         EQU       0001H               
     LLC_SIGNAL_LOSS                              EQU       0002H               
     LLC_WIRE_FAULT                               EQU       0003H               
     LLC_FREQUENCY_ERROR                          EQU       0004H               
     LLC_TIMEOUT                                  EQU       0005H               
     LLC_RING_FAILURE                             EQU       0006H               
     LLC_RING_BEACONING                           EQU       0007H               
     LLC_DUPLICATE_NODE_ADDRESS                   EQU       0008H               
     LLC_PARAMETER_REQUEST                        EQU       0009H               
     LLC_RECEIVED_REMOVE                          EQU       000AH               
     LLC_IMPL_FORCE_RECEIVED                      EQU       000BH               
     LLC_NO_MONITOR_DETECTED                      EQU       000DH               
     LLC_MONITOR_CONTENTION_FAILED                EQU       000EH               
                                                                                
;-------------------------------------------------------------------            
;*                   OPEN ERROR CODES - PC NETWORK                 *            
;-------------------------------------------------------------------            
                                                                                
     LLC_NO_CARRIER                               EQU       0022H               
     LLC_HOT_CARRIER                              EQU       0023H               
     LLC_UNABLE_TO_TRANSMIT                       EQU       0033H               
     LLC_DUPLICATE_NODE_ADDR                      EQU       0038H               
     LLC_REMOVE_FRAME_RECEIVED                    EQU       003AH               
                                                                                
;-------------------------------------------------------------------            
;*                   PC DETECTED ERROR CODE/DATA                   *            
;-------------------------------------------------------------------            
                                                                                
     LLC_UNEXPECTED_INTERRUPT                     EQU       0000H               
     LLC_ACCESS_VIOLATION                         EQU       0001H               
     LLC_ARB_COMMAND_ERROR                        EQU       0001H               
     LLC_ASB_RETURN_CODE_ERROR                    EQU       0002H               
     LLC_SRB_SSB_COMMAND_ERROR                    EQU       0003H               
     LLC_ARB_TRANSMIT_ERROR                       EQU       0004H               
     LLC_UNACCEPTABLE_OS_VALUE                    EQU       0005H               
     LLC_INTERNAL_ERROR                           EQU       0006H               
                                                                                
;-------------------------------------------------------------------            
;*                   SYSTEM ACTION IDS                             *            
;-------------------------------------------------------------------            
                                                                                
     LLC_CLOSED_ADAPTER                           EQU       0001H               
     LLC_ADAPTER_INITIALIZED                      EQU       0002H               
                                                                                
                                                                                
     LLC_LOGS_READ                                EQU       0003H               
     LLC_FUNCTIONAL_ADDR_CHANGE                   EQU       0004H               
     LLC_GROUP_ADDR_CHANGE                        EQU       0005H               
     LLC_SAP_RESET                                EQU       0006H               
     LLC_ALL_SAPS_RESET                           EQU       0007H               
     LLC_ALL_DIRECT_STATIONS_CLOSED               EQU       0008H               
                                                                                
;-------------------------------------------------------------------            
;*                   DLC STATUS BITS                               *            
;-------------------------------------------------------------------            
                                                                                
     LLC_LINK_LOST                                EQU       8000H               
     LLC_DM_DISC_RECEIVED                         EQU       4000H               
     LLC_FRMR_RECEIVED                            EQU       2000H               
     LLC_FRMR_SENT                                EQU       1000H               
     LLC_SABME_FOR_OPENED_STN                     EQU       0800H               
     LLC_SABME_RCV_STN_OPENED                     EQU       0400H               
     LLC_REMOTE_STN_LOCAL_BUSY                    EQU       0200H               
     LLC_REMOTE_STN_READY                         EQU       0100H               
     LLC_TI_TIMER_EXPIRED                         EQU       0080H               
     LLC_DLC_COUNTER_OVERFLOW                     EQU       0040H               
     LLC_ACCESS_PRIORITY_LOWERED                  EQU       0020H               
     LLC_LOCAL_STN_LOCAL_BUSY                     EQU       0001H               
                                                                                
;-------------------------------------------------------------------            
;*                   READ EVENT BIT CODES                          *            
;-------------------------------------------------------------------            
                                                                                
     LLC_SYSTEM_ACTION_OCCURRED                   EQU       0040H               
     LLC_RING_NETWORK_STATUS                      EQU       0020H               
     LLC_CRITICAL_EXCEPTION                       EQU       0010H               
     LLC_DLC_STATUS_CHANGE                        EQU       0008H               
     LLC_RECEIVE_DATA                             EQU       0004H               
     LLC_TRANSMIT_COMPLETION                      EQU       0002H               
     LLC_COMMAND_COMPLETION                       EQU       0001H               
                                                                                
;-------------------------------------------------------------------            
;*                   LINK PRIMARY STATE                            *            
;-------------------------------------------------------------------            
                                                                                
     LLC_PS_LINK_CLOSED                           EQU       0080H               
     LLC_PS_DISCONNECTED                          EQU       0040H               
     LLC_PS_DISCONNECTING                         EQU       0020H               
     LLC_PS_LINK_OPENING                          EQU       0010H               
     LLC_PS_RESETTING                             EQU       0008H               
     LLC_PS_FRMR_SENT                             EQU       0004H               
     LLC_PS_FRMR_RECEIVED                         EQU       0002H               
     LLC_PS_LINK_OPENED                           EQU       0001H               
                                                                                
                                                                                
                                                                                
;-------------------------------------------------------------------            
;*                   LINK SECONDARY STATE                          *            
;-------------------------------------------------------------------            
                                                                                
     LLC_SS_CHECK_POINTING                        EQU       0080H               
     LLC_SS_LOCAL_BUSY_USER_SET                   EQU       0040H               
     LLC_SS_LOCAL_BUSY_BUFFER_SET                 EQU       0020H               
     LLC_SS_REMOTE_BUSY                           EQU       0010H               
     LLC_SS_REJECTION                             EQU       0008H               
     LLC_SS_CLEARING                              EQU       0004H               
     LLC_SS_DYNAMIC_WINDOW_ACTIVE                 EQU       0002H               
                                                                                
;-------------------------------------------------------------------            
;*                   OPEN OPTIONS BIT CODE                         *            
;-------------------------------------------------------------------            
                                                                                
     LLC_WRAP_INTERFACE                           EQU       8000H               
     LLC_DISABLE_HARD_ERRORS                      EQU       4000H               
     LLC_DISABLE_SOFT_ERRORS                      EQU       2000H               
     LLC_PASS_ADAPTER_MAC_FRAMES                  EQU       1000H               
     LLC_PASS_ATTENTION_FRAMES                    EQU       0800H               
     LLC_CONTENDER                                EQU       0100H               
     LLC_PASS_BEACON_FRAMES                       EQU       0080H               
     LLC_REMOTE_PROGRAM_LOAD                      EQU       0020H               
     LLC_TOKEN_RELEASE                            EQU       0010H               
                                                                                
                                                                                
