;********************************************************************           
;*  EXCEPTION 802.2 DATA DECLARATIONS FOR DYNAMIC LINK ROUTINE      *           
;********************************************************************           
ADAPTER_CHECK_DLR         STRUC                                                 
;                                                                               
 NOTIFICATION_FLAG_AC      DD    ?        ; User notification flag              
 CCB_COUNT_AC              DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_AC      DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_AC           DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_AC      DD    ?        ; Pointer to buffer chain             
 RCV_FRAME_COUNT_AC        DW    ?        ; Count of frames attached            
 RCV_FRAME_ADDR_AC         DD    ?        ; pointer to frame chain              
 REASON_CODE_AC            DW    ?        ; Adapter check reason code           
 PARAMETER_0_AC            DW    ?        ; Parameter 0 information             
 PARAMETER_1_AC            DW    ?        ; Parameter 1 information             
 PARAMETER_2_AC            DW    ?        ; Parameter 2 information             
;                                                                               
ADAPTER_CHECK_DLR         ENDS                                                  
                                                                                
                                                                                
RING_NETWORK_STATUS_DLR   STRUC                                                 
;                                                                               
 NOTIFICATION_FLAG_RNS     DD    ?        ; User notification flag              
 CCB_COUNT_RNS             DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_RNS     DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_RNS          DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_RNS     DD    ?        ; Pointer to buffer chain             
 RCV_FRAME_COUNT_RNS       DW    ?        ; Count of frames attached            
 RCV_FRAME_ADDR_RNS        DD    ?        ; pointer to frame chain              
 RING_STATUS_CODE_RNS      DW    ?        ; Ring/Network status code            
;                                                                               
RING_NETWORK_STATUS_DLR   ENDS                                                  
                                                                                
                                                                                
PC_DETECTED_ERRORS_DLR    STRUC                                                 
;                                                                               
 NOTIFICATION_FLAG_PC      DD    ?        ; User notification flag              
 CCB_COUNT_PC              DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_PC      DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_PC           DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_PC      DD    ?        ; Pointer to buffer chain             
 RCV_FRAME_COUNT_PC        DW    ?        ; Count of frames attached            
 RCV_FRAME_ADDR_PC         DD    ?        ; pointer to frame chain              
 ERROR_CODE_PC             DB    ?        ; PC detected error code              
 ERROR_DATA_PC             DB    ?        ; PC detected error data              
 FUNCTION_CODE_PC          DB    ?        ; OS function code data               
                           DB    ?        ; RESERVED                            
 OS_RETURN_CODE_PC         DW    ?        ; OS return code                      
 PROCESS_ID_PC             DW    ?        ; Process ID                          
;                                                                               
PC_DETECTED_ERRORS_DLR    ENDS                                                  
                                                                                
                                                                                
SYSTEM_ACTION_DLR         STRUC                                                 
;                                                                               
 NOTIFICATION_FLAG_SA      DD    ?        ; User notification flag              
 CCB_COUNT_SA              DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_SA      DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_SA           DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_SA      DD    ?        ; Pointer to buffer chain             
 RCV_FRAME_COUNT_SA        DW    ?        ; Count of frames attached            
 RCV_FRAME_ADDR_SA         DD    ?        ; pointer to frame chain              
 SYSTEM_ACTION_ID_SA       DB    ?        ; System action ID                    
 SAP_STATION_RESET_SA      DB    ?        ; SAP station affected                
;                                                                               
SYSTEM_ACTION_DLR         ENDS                                                  
                                                                                
                                                                                
;********************************************************************           
;*  EXCEPTION 802.2 DATA DECLARATIONS FOR DEVICE DRIVER             *           
;********************************************************************           
ADAPTER_CHECK_DD          STRUC                                                 
;                                                                               
 CCB_COUNT_ACDD            DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_ACDD    DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_ACDD         DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_ACDD    DD    ?        ; Pointer to buffer chain             
 REASON_CODE_ACDD          DW    ?        ; Adapter check reason code           
 PARAMETER_0_ACDD          DW    ?        ; Parameter 0 information             
 PARAMETER_1_ACDD          DW    ?        ; Parameter 1 information             
 PARAMETER_2_ACDD          DW    ?        ; Parameter 2 information             
;                                                                               
ADAPTER_CHECK_DD          ENDS                                                  
                                                                                
                                                                                
RING_NETWORK_STATUS_DD    STRUC                                                 
;                                                                               
 CCB_COUNT_RNSDD           DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_RNSDD   DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_RNSDD        DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_RNSDD   DD    ?        ; Pointer to buffer chain             
 RING_STATUS_CODE_RNSDD    DW    ?        ; Ring/Network status code            
;                                                                               
RING_NETWORK_STATUS_DD    ENDS                                                  
                                                                                
                                                                                
PC_DETECTED_ERRORS_DD     STRUC                                                 
;                                                                               
 CCB_COUNT_PCDD            DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_PCDD    DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_PCDD         DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_PCDD    DD    ?        ; Pointer to buffer chain             
 ERROR_CODE_PCDD           DB    ?        ; PC detected error code              
 ERROR_DATA_PCDD           DB    ?        ; PC detected error data              
 FUNCTION_CODE_PCDD        DB    ?        ; OS function code data               
                           DB  5 DUP(?)   ; RESERVED                            
;                                                                               
PC_DETECTED_ERRORS_DD     ENDS                                                  
                                                                                
                                                                                
SYSTEM_ACTION_DD          STRUC                                                 
;                                                                               
 CCB_COUNT_SADD            DW    ?        ; Count of CCBs attached              
 EVENT_CCB_POINTER_SADD    DD    ?        ; Pointer to CCB chain                
 BUFFER_COUNT_SADD         DW    ?        ; Count of buffers attached           
 FIRST_BUFFER_ADDR_SADD    DD    ?        ; Pointer to buffer chain             
 SYSTEM_ACTION_ID_SADD     DB    ?        ; System action ID                    
 SAP_STATION_RESET_SADD    DB    ?        ; SAP station affected                
;                                                                               
SYSTEM_ACTION_DD          ENDS                                                  
                                                                                
                                                                                
;********************************************************************           
;*  DLC STATUS 802.2 DATA DECLARATION                               *           
;********************************************************************           
DLC_STATUS                STRUC                                                 
;                                                                               
 STATION_ID_DLC            DW    ?        ; Station ID for this event           
 DLC_STATUS_CODE_DLC       DW    ?        ; DLC status code                     
 FRMR_DATA_DLC             DB  5 DUP(?)   ; FRaMe Reject data                   
 ACCESS_PRIORITY_DLC       DB    ?        ; Access priority                     
 REMOTE_NODE_DLC           DB  6 DUP(?)   ; Remote Node                         
 REMOTE_SAP_DLC            DB    ?        ; Remote SAP                          
                           DB    ?        ; RESERVED                            
 USER_STAT_VALUE_DLC       DW    ?        ; User defined value                  
;                                                                               
DLC_STATUS                ENDS                                                  
