;------------------------------------------------------------------             
;*                  NETBIOS COMMAND CODES                         *             
;------------------------------------------------------------------             
                                                                                
     NB_CALL_WAIT                                 EQU       0010H               
     NB_LISTEN_WAIT                               EQU       0011H               
     NB_HANG_UP_WAIT                              EQU       0012H               
     NB_SEND_WAIT                                 EQU       0014H               
     NB_RECEIVE_WAIT                              EQU       0015H               
     NB_RECEIVE_ANY_WAIT                          EQU       0016H               
     NB_CHAIN_SEND_WAIT                           EQU       0017H               
     NB_SEND_DATAGRAM_WAIT                        EQU       0020H               
     NB_RECEIVE_DATAGRAM_WAIT                     EQU       0021H               
     NB_SEND_BROADCAST_DATAGRAM_WAIT              EQU       0022H               
     NB_RECEIVE_BROADCAST_DATAGRAM_W              EQU       0023H               
     NB_ADD_NAME_WAIT                             EQU       0030H               
     NB_DELETE_NAME_WAIT                          EQU       0031H               
     NB_RESET_WAIT                                EQU       0032H               
     NB_STATUS_WAIT                               EQU       0033H               
     NB_SESSION_STATUS_WAIT                       EQU       0034H               
     NB_CANCEL_WAIT                               EQU       0035H               
     NB_ADD_GROUP_NAME_WAIT                       EQU       0036H               
     NB_UNLINK_WAIT                               EQU       0070H               
     NB_SEND_NO_ACK_WAIT                          EQU       0071H               
     NB_CHAIN_SEND_NO_ACK_WAIT                    EQU       0072H               
     NB_FIND_NAMEWAIT                             EQU       0078H               
                                                                                
     NB_CALL                                      EQU       0090H               
     NB_LISTEN                                    EQU       0091H               
     NB_HANG_UP                                   EQU       0092H               
     NB_SEND                                      EQU       0094H               
     NB_RECEIVE                                   EQU       0095H               
     NB_RECEIVE_ANY                               EQU       0096H               
     NB_CHAIN_SEND                                EQU       0097H               
     NB_SEND_DATAGRAM                             EQU       00A0H               
     NB_RECEIVE_DATAGRAM                          EQU       00A1H               
     NB_SEND_BROADCAST_DATAGRAM                   EQU       00A2H               
     NB_RECEIVE_BROADCAST_DATAGRAM                EQU       00A3H               
     NB_ADD_NAME                                  EQU       00B0H               
     NB_DELETE_NAME                               EQU       00B1H               
     NB_STATUS                                    EQU       00B3H               
     NB_SESSION_STATUS                            EQU       00B4H               
     NB_ADD_GROUP_NAME                            EQU       00B6H               
     NB_SEND_NO_ACK                               EQU       00F1H               
     NB_CHAIN_SEND_NO_ACK                         EQU       00F2H               
     NB_LAN_STATUS_ALERT                          EQU       00F3H               
     NB_FIND_NAME                                 EQU       00F8H               
                                                                                
     NB_INVALID_COMMAND_CODE                      EQU       00FFH               
                                                                                
                                                                                
;------------------------------------------------------------------             
;*                  NETBIOS  RETURN CODES                         *             
;------------------------------------------------------------------             
                                                                                
     NB_COMMAND_SUCCESSFUL                        EQU       0000H               
     NB_ILLEGAL_BUFFER_LEN                        EQU       0001H               
     NB_INVALID_COMMAND                           EQU       0003H               
     NB_COMMAND_TIME_OUT                          EQU       0005H               
     NB_MESSAGE_INCOMPLETE                        EQU       0006H               
     NB_DATA_NOT_RECEIVED                         EQU       0007H               
     NB_ILLEGAL_LOCAL_SESSION                     EQU       0008H               
     NB_NO_RES_AVAILABLE                          EQU       0009H               
     NB_SESSION_CLOSED                            EQU       000AH               
     NB_COMMAND_CANCELLED                         EQU       000BH               
     NB_DUPLICATE_NAME                            EQU       000DH               
     NB_NAME_TABLE_FULL                           EQU       000EH               
     NB_CMND_CMPL_DEREGISTERED                    EQU       000FH               
     NB_SESSION_TABLE_FULL                        EQU       0011H               
     NB_SES_OPEN_REJECTED                         EQU       0012H               
     NB_ILLEGAL_NAME_NUMBER                       EQU       0013H               
     NB_REMOTE_NAME_NOT_FOUND                     EQU       0014H               
     NB_LOCAL_NAME_NOT_FOUND                      EQU       0015H               
     NB_NAME_IN_USE                               EQU       0016H               
     NB_NAME_DELETED                              EQU       0017H               
     NB_SESSION_ENDED_ABNORMALLY                  EQU       0018H               
     NB_NAME_CONFLICT                             EQU       0019H               
     NB_INTERFACE_BUSY                            EQU       0021H               
     NB_MAX_CMNDS_EXCEEDED                        EQU       0022H               
     NB_INVALID_ADAPTER                           EQU       0023H               
     NB_CMND_ALREADY_COMPLETED                    EQU       0024H               
     NB_CMND_INVALID_TO_CANCEL                    EQU       0026H               
     NB_NAME_DEFINED_BY_OTHERS                    EQU       0030H               
     NB_ENVIRONMENT_NOT_DEFINED                   EQU       0034H               
     NB_NO_OS_RESOURCES                           EQU       0035H               
     NB_MAX_APPL_EXCEEDED                         EQU       0036H               
     NB_NO_SAP_AVAILABLE                          EQU       0037H               
     NB_INADEQUATE_RESOURCES                      EQU       0038H               
     NB_INVALID_NCB_ADDRESS                       EQU       0039H               
     NB_RESET_INVALID                             EQU       003AH               
     NB_INVALID_DD_ID                             EQU       003BH               
     NB_SEGMENT_LOCK_UNSUCCESSFUL                 EQU       003CH               
     NB_DD_OPEN_ERROR                             EQU       003FH               
                                                                                
     NB_OS_ERROR_DETECTED                         EQU       0040H               
     NB_PERM_RING_STATUS                          EQU       004FH               
                                                                                
     NB_UNEXPECTED_CCB_ERROR                      EQU       00F6H               
     NB_ADAPTER_OPEN_ERROR                        EQU       00F8H               
     NB_ADAPTER_HANDLER_ERROR                     EQU       00F9H               
     NB_ADAPTER_CHECK                             EQU       00FAH               
                                                                                
     NB_CODE_NOT_OPERATIONAL                      EQU       00FBH               
     NB_OPEN_FAILURES                             EQU       00FCH               
     NB_UNEXPECTED_CLOSE                          EQU       00FDH               
     NB_COMMAND_IN_PROCESS                        EQU       00FFH               
