/************************************************************************/
/* Change Activity:                                                     */
/* @A0A P0000260 MJS: add soft stop pending return code                 */
/* @A2A P0000260 MJS: Add missing spec return codes                     */
/* @A3A P0000260 MJS: Add socket return conditions                      */
/* @A4A P0000414 PBN: Add inv_usage_ind rc = 3393                       */
/* @A5A P0000570 MJS: Add No B channels defined rc=2294 for PCM AS CNG  */
/* @A6A D0001857 MJS: update conflicting return codes.                  */
/* @A7A P0000819 MJS: update conflicting return codes.                  */
/* @A8A PEP00158 MJS: add retcode 332D                                  */
/* @A9A DCR203   PBN: add new rc's per Hursley dcr 74 33BX series       */
/*                                                                      */
/************************************************************************/
/*----------------------------------------------------------------*/
/*   GCCI/CMI COMMON RETURN CODES                                 */
/*----------------------------------------------------------------*/

#define   CCI_NO_ERROR                                0x0000
#define   CCI_INVALID_CIF                             0x3001
#define   CCI_IDENTIFIER                              0x3002
#define   CCI_IDENTIFIER_TYPE                         0x3003
#define   CCI_PRIMITIVE                               0x3004
#define   CCI_STATE_ERROR                             0x3005
#define   CCI_INVALID_INTERFACE_DATA                  0x3007
#define   CCI_RESOURCE_NOT_AVAILABLE                  0x3008
#define   CCI_TASK_ABEND                              0x300A
#define   CCI_INVALID_SELECTOR                        0x300D
#define   CCI_INVALID_SERVICE_TYPE                    0x300E
#define   CCI_INVALID_ENTRY_POINT                     0x3014
#define   CCI_INVALID_PCM_NAME                        0x3016
#define   CCI_INVALID_U_CI_ID                         0x3017
#define   CCI_INVALID_P_CI_ID                         0x3018
#define   CCI_INVALID_U_SAP_ID                        0x3019
#define   CCI_INVALID_P_SAP_ID                        0x301A
/* LSA defined error codes for 3000 series ends here. New additions begi*/
/* below.                                                               */
#define   CCI_INVALID_P_CE_ID                         0x301B
#define   CCI_INVALID_U_CE_ID                         0x301C
#define   CCI_INVALID_RESOURCE_ID                     0x3020
#define   CCI_INVALID_LINKED_REPLY_IND                0x3021
#define   CCI_INVALID_CIF_LENGTH                      0x3022
#define   CCI_INVALID_DIF_LENGTH                      0x3023
#define   CCI_INVALID_ACTION_CODE                     0x3024
#define   CCI_MISSING_DIF                             0x3025

#define   CCI_REJ_CLEAR_REQUEST                       0x3303
#define   CCI_INVALID_DATA_CHANNEL                    0x3309
#define   CCI_CALL_DOES_NOT_EXIST                     0x330B
#define   CCI_U_CI_ID_ALREADY_EXISTS                  0x330D
#define   CCI_CANCELLED_BY_REMOTE                     0x330F
#define   CCI_SERVICE_NOT_ACTIVE                      0x3312
#define   CCI_SUBFIELDS_TOO_LARGE                     0x3315
#define   CCI_D_CHANNEL_FAILED                        0x3317
#define   CCI_INVALID_TRANSFER_MODE                   0x331A
#define   CCI_SUBFIELDS_NOT_ALLOWED                   0x331B
#define   CCI_INVALID_CALLED_PARTY_LEN                0x331C
#define   CCI_INVALID_PROTOCOL_INFO                   0x331D
#define   CCI_INV_CALLED_PARTY_SADDR_LEN              0x331E
#define   CCI_CHANNEL_TYPE_ERROR                      0x331F
#define   CCI_TRANSFER_CAPABILITY_ERROR               0x3320
#define   CCI_INVALID_RATE_ADAPTION                   0x3321
#define   CCI_NO_FREE_CHANNEL                         0x3322
#define   CCI_SELECTED_CHANNEL_BUSY                   0x3323
#define   CCI_MAX_CALLS_EXCEEDED                      0x3324
#define   CCI_INVALID_CONNECT_OPTION                  0x3326
#define   CCI_INVALID_PERM_CONNECT_EVENT              0x3327
#define   CCI_MAX_REQUESTS_EXCEEDED                   0x3329
#define   CCI_CLEAR_IND_PENDING                       0x332A
#define   CCI_T309_EXPIRY                             0x332C
#define   CCI_TIMEOUT_ON_CALL                         0x332D  /* @A8A */
#define   CCI_LACK_OF_RESOURCES                       0x332F
/* LSA defined error codes for 3300 series ends here. New additions begi*/
/* at 3330                                                              */
#define   CCI_OPERATING_SYSTEM_ERROR                  0x3330
#define   CCI_INV_BEARER_CAPABILITY                   0x3331  /* @A2A   */
#define   CCI_INV_CHANNEL_ID                          0x3332  /* @A2A   */
#define   CCI_INV_CALLING_PARTY_NUMBER                0x3333  /* @A2A   */

#define   CCI_INV_CALLED_PARTY_NUMBER                 0x3334  /* @A2A   */
#define   CCI_INV_CALLING_PARTY_SADDR                 0x3335  /* @A2A   */
#define   CCI_INV_CALLED_PARTY_SADDR                  0x3336  /* @A2A   */
#define   CCI_INV_LLC                                 0x3337  /* @A2A   */
#define   CCI_INV_HLC                                 0x3338  /* @A2A   */
#define   CCI_INV_USER_TO_USER_INFO                   0x3339  /* @A2A   */
#define   CCI_INV_CAUSE                               0x333A  /* @A2A   */
#define   CCI_INV_CALL_STATUS                         0x333B  /* @A2A   */
#define   CCI_MULTI_INV_BEARER_CAPABILITY             0x3341  /* @A2A   */
#define   CCI_MULTI_INV_CHANNEL_ID                    0x3342  /* @A2A   */
#define   CCI_MULTI_INV_CLG_PARTY_NUMBER              0x3343  /* @A2A   */
#define   CCI_MULTI_INV_CLD_PARTY_NUMBER              0x3344  /* @A2A   */
#define   CCI_MULTI_INV_CLG_PARTY_SADDR               0x3345  /* @A2A   */
#define   CCI_MULTI_INV_CLD_PARTY_SADDR               0x3346  /* @A2A   */
#define   CCI_MULTI_INV_LLC                           0x3347  /* @A2A   */
#define   CCI_MULTI_INV_HLC                           0x3348  /* @A2A   */
#define   CCI_MULTI_INV_USER_TO_USER_INFO             0x3349  /* @A2A   */
#define   CCI_MULTI_INV_CAUSE                         0x334A  /* @A2A   */
#define   CCI_MULTI_INV_CALL_STATUS                   0x334B  /* @A2A   */
#define   CCI_DUP_BEARER_CAPABILITY                   0x3351  /* @A2A   */
#define   CCI_DUP_CHANNEL_ID                          0x3352  /* @A2A   */
#define   CCI_DUP_CALLING_PARTY_NUMBER                0x3353  /* @A2A   */
#define   CCI_DUP_CALLED_PARTY_NUMBER                 0x3354  /* @A2A   */
#define   CCI_DUP_CALLING_PARTY_SADDR                 0x3355  /* @A2A   */
#define   CCI_DUP_CALLED_PARTY_SADDR                  0x3356  /* @A2A   */
#define   CCI_DUP_LLC                                 0x3357  /* @A2A   */
#define   CCI_DUP_HLC                                 0x3358  /* @A2A   */
#define   CCI_DUP_USER_TO_USER_INFO                   0x3359  /* @A2A   */
#define   CCI_DUP_CAUSE                               0x335A  /* @A2A   */
#define   CCI_DUP_CALL_STATUS                         0x335B  /* @A2A   */


#define   CCI_SF_OF_LENGTH_ZERO                       0x3360
#define   CCI_INVALID_CALLING_NUM_LEN                 0x3361
#define   CCI_INVALID_CALLED_NUM_LEN                  0x3362
#define   CCI_INVALID_CALLING_SADDR_LEN               0x3363
#define   CCI_INVALID_CALLED_SADDR_LEN                0x3364
#define   CCI_INVALID_USER_USER_INFO_LEN              0x3365
#define   CCI_INVALID_STATUS_VALUE                    0x3366
#define   CCI_CALL_STATUS_SF_MISSING                  0x3367
#define   CCI_INVALID_PCM_TYPE                        0x3368
#define   CCI_UNEXPECTED_DIR_RC                       0x3369
#define   CCI_SAME_SF_NOT_CONTIGUOUS                  0x336A
#define   CCI_ENTRY_NOT_UNIQUE                        0x336B
#define   CCI_FIRST_SF_NOT_PRM_SPECIFIC               0x336C
#define   CCI_ENTRY_NOT_DEFINED                       0x336D
#define   CCI_DIRECTORY_FILE_OPEN_ERROR               0x336E
#define   CCI_DIRECTORY_FILE_READ_ERROR               0x336F

#define   CCI_CM_INTERNAL_ERROR                       0x3370
#define   CCI_PCM_INTERNAL_ERROR                      0x3371
#define   CCI_CALL_CLEAR_FROM_SS                      0x3372
#define   CCI_PCM_DEACTIVATING                        0x3373
#define   CCI_PERM_CONN_UNDEFINED                     0x3374
#define   CCI_INV_ID_TYPE_IN_CURR_STATE               0x3375
#define   CCI_UNSUCC_ESTAB_CNF_QUEUED                 0x3376
#define   CCI_UNSUCC_SETUP_RSP_QUEUED                 0x3377
#define   CCI_NO_PCM_ACTIVE                           0x3378
#define   CCI_PCM_NOT_ACTIVE                          0x3379
#define   CCI_REQ_OUTSTANDING                         0x337A
#define   CCI_SOFT_STOP_PENDING                       0x337B    /* @A0A */
#define   CCI_CCT_NOT_FOUND_BY_PCM                    0x337C    /* @A3A */
#define   CCI_PROTOCOL_NOT_LOADED                     0x337D    /* @A3A */
#define   CCI_PROTOCOL_BUSY                           0x337E    /* @A3A */
#define   CCI_INV_LOGICAL_ADAPTER_NUMBER              0x337F    /* @A3A */

#define   CCI_CM_SOFTWARE_ERROR                       0x3380
/* NOTE - RCs 3381 thru 3389 reserved for PCM use                  @A1A */

#define   CCI_INVALID_CONFIG_DATA                     0x3390    /* @A6A */
#define   CCI_NO_CONFIG_DATA                          0x3391    /* @A6A */
#define   CCI_BUFFER_OVERFLOW                         0x3392    /* @A6A */
#define   CCI_INV_USAGE_IND                           0x3393    /* @A4A */
#define   CCI_NO_CHANNELS_DEFINED                     0x3394    /* @A5A */

#define   CCI_PCM_SOFT_PENDING                        0x3395    /* @XX1 */

#define   CCI_MODEM_NOT_RESPONDING                    0x3396    /* @XX1 */
#define   CCI_MODEM_DIALOG_ERROR                      0x3397    /* @XX1 */
#define   CCI_NO_DIALTONE                             0x3398    /* @XX1 */
#define   CCI_NETWORK_BUSY                            0x3399    /* @XX1 */
#define   CCI_LOCAL_BUSY                              0x339A    /* @XX1 */
#define   CCI_CALL_DELAYED                            0x339B    /* @XX1 */
#define   CCI_CALL_FORBIDDEN                          0x339C    /* @XX1 */

#define   CCI_SCKT_XIF_GIVEUP                         0x339D    /* @BZA */
#define   CCI_SCKT_NODE_MISMATCH                      0x339E    /* @BZA */
#define   CCI_SCKT_LAN_TYPE_MISMATCH                  0x339F    /* @BZA */
#define   CCI_SCKT_SOURCE_RING_MISMATCH               0x33A0    /* @BZA */
#define   CCI_SCKT_TARGET_RING_DUPLICATE              0x33A1    /* @BZA */

#define   CCI_UNS_BEARER_CAPABILITY                   0x33B1  /* @A9A   */
#define   CCI_UNS_CHANNEL_ID                          0x33B2  /* @A9A   */
#define   CCI_UNS_CALLING_PARTY_NUMBER                0x33B3  /* @A9A   */
#define   CCI_UNS_CALLED_PARTY_NUMBER                 0x33B4  /* @A9A   */
#define   CCI_UNS_CALLING_PARTY_SADDR                 0x33B5  /* @A9A   */
#define   CCI_UNS_CALLED_PARTY_SADDR                  0x33B6  /* @A9A   */
#define   CCI_UNS_LLC                                 0x33B7  /* @A9A   */
#define   CCI_UNS_HLC                                 0x33B8  /* @A9A   */
#define   CCI_UNS_CAUSE                               0x33BA  /* @A9A   */
#define   CCI_UNS_CALL_STATUS                         0x33BB  /* @A9A   */

/*----------------------------------------------------------------*/
/*   CCITT DEFINED CAUSE CODES                                    */
/*----------------------------------------------------------------*/

#define   CC_UNASSIGNED_NUMBER                        0x3401
#define   CC_NO_RTE_TO_TRANSIT_NETWORK                0x3402
#define   CC_NO_RTE_TO_DESTINATION                    0x3403
#define   CC_CHANNEL_UNACCEPTABLE                     0x3406
#define   CC_CALL_ON_EST_CHANNEL                      0x3407

#define   CC_NORMAL_CALL_CLEARING                     0x3410
#define   CC_REMOTE_USER_BUSY                         0x3411
#define   CC_NO_USER_RESPONDING                       0x3412
#define   CC_NO_USER_ANSWERING                        0x3413
#define   CC_CALL_REJECTED                            0x3415
#define   CC_NUMBER_CHANGED                           0x3416
#define   CC_NON_SELECTED_USER_CLEARING               0x341A
#define   CC_DEST_OUT_OF_ORDER                        0x341B
#define   CC_INVALID_NUMBER_FORMAT                    0x341C
#define   CC_FACILITY_REJECTED                        0x341D
#define   CC_RESPONSE_TO_STAT_ENQ                     0x341E
#define   CC_UNSPECIFIED_NORMAL_CLEARING              0x341F

#define   CC_NO_CHANNEL_AVAILABLE                     0x3422
#define   CC_NETWORK_OUT_OF_ORDER                     0x3426
#define   CC_TEMP_FAILURE                             0x3429
#define   CC_SWITCH_CONGESTED                         0x342A
#define   CC_ACCESS_INFO_DISCARDED                    0x342B
#define   CC_REQUESTED_CHANNEL_UNAVAIL                0x342C
#define   CC_UNSPEC_RESOURCES_UNAVAIL                 0x342F

#define   CC_QUALITY_OF_SERVICE_UNAVAIL               0x3431
#define   CC_FACILITY_NOT_SUBSCRIBED                  0x3432
#define   CC_BEARER_CAP_NOT_AUTHORIZED                0x3439
#define   CC_BEARER_CAP_NOT_AVAILABLE                 0x343A
#define   CC_UNSPECIFIED_SERVICE_UNAVAIL              0x343F

#define   CC_BEARER_CAP_NOT_IMPLEMENTED               0x3441
#define   CC_CHANNEL_TYPE_NOT_IMPLEMENTED             0x3442
#define   CC_FACILITY_NOT_IMPLEMENTED                 0x3445
#define   CC_ONLY_RESTRICTED_SERV_AVAIL               0x3446
#define   CC_SERVICE_NOT_IMPLEMENTED                  0x344F

#define   CC_INVALID_CALL_REF_VALUE                   0x3451
#define   CC_CHANNEL_DOES_NOT_EXIST                   0x3452
#define   CC_CALL_ID_DOES_NOT_EXIST                   0x3453
#define   CC_CALL_ID_IN_USE                           0x3454
#define   CC_NO_CALL_SUSPENDED                        0x3455
#define   CC_CALL_ID_CLEARED                          0x3456
#define   CC_INCOMPATIBLE_DEST                        0x3458
#define   CC_INVALID_TRAN_NETWORK_SEL                 0x345B
#define   CC_UNSPEC_INVALID_MESSAGE                   0x345F

#define   CC_MANDATORY_ID_MISSING                     0x3460
#define   CC_MESSAGE_TYPE_NON_EXISTENT                0x3461
#define   CC_MESSAGE_INCOMP_WITH_STATE                0x3462
#define   CC_IE_NON_EXISTENT                          0x3463
#define   CC_INVALID_ID_CONTENTS                      0x3464
#define   CC_MESSAGE_INCOMP_IN_CALL_STATE             0x3465
#define   CC_TIMER_EXPIRY_RECOVERY                    0x3466
#define   CC_PROTOCOL_ERROR                           0x346F

#define   CC_UNSPEC_INTERWORKING                      0x347F
