/********************************************************Copyright.IBM*****/
/*                                                                        */
/*                                                                        */
/*      Multi-Protocol Transport Services                                 */
/*                                                                        */
/*      Licensed Materials - Property of IBM (R)                          */
/*      5622-069                                                          */
/*      (C) Copyright IBM Corp. 1993, All right reserved.                 */
/*      US Government Users Restricted Rights - Use, duplication,         */
/*      disclosure restricted by GSA ADP Schedule Contract with IBM Corp. */
/*                                                                        */
/********************************************************Copyright.IBM*****/






/*
 *  Protocols
 */

#ifndef MPTNNB
#define MPTNNB

#define NBPROTO_NB      1     /*  NetBIOS protocol    */


/* DEFINITION OF NETBIOS ADDRESS FORMAT */
#define NB_FAMILY       18
#define NB_ADDRSIZE     sizeof (struct sockaddr_nb)
#define NB_UNIQUE       0
#define NB_GROUP        1
#define NB_BROAD        2
#define NB_NAMELEN      16
#define NB_NETIDLEN     8
#define NB_HOSTLEN      12
#define NB_PORTLEN      (NB_NAMELEN - NB_HOSTLEN)
#define NB_BCAST_NAME   "*               "  /* Asterisk plus 15 spaces */
#define NB_BLANK_NAME   "                "  // 16 spaces
#define NB_NULL_NAME    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"

//  The following two lines must correspond to IPPORT_RESERVED and
//  IPPORT_USERRESERVED constants defined in in.h
#define NBPORT_RESERVED "1024"
#define NBPORT_USERRESERVED "5000"


/* DEFINITION OF NETBIOS ADDRESS FORMAT */


   struct  sockaddr_nb {
          short snb_family;                    /*netbios protocol family*/
          short snb_type;                      /* unique or multicast */
          char  snb_netid[NB_NETIDLEN];         /* netbios netid*/
          char  snb_name[NB_NAMELEN];           /* netbios name */
                       };
#endif /* MPTNNB */
