* CASSETUP application profile for MultiProtocol Transports, 1.0
* NOTE: lines that begin with an asterisk (*) and blank lines are
* treated as comments

* ALSO NOTE:  The format of this file and the syntax of its elements
* are subject to change.

****************************************************************
*          APPLICATION DESCRIPTION SECTION                     *
****************************************************************


                                      * APPNAME is a long descriptive name.
                                      * It can contain blanks. It should be
                                      * unique among all the Application
                                      * Profiles.
APPNAME = Multi-Protocol Transport^Services 5.0 from Warp Server

                                      * APPNICK is a short nickname.  It is
                                      * used to identify this application in
                                      * other scripts and profiles. It MUST
                                      * be unique among all the App Profiles.
                                      * Case is ignored for this parameter,
                                      * so KILLER10 and killer10 are
                                      * considered equal.
APPNICK = mpts50

                                      * PROGTYPE tells what kind of
                                      * application this is:
                                      *      Operating System (1),
                                      *      Transport (2),
                                      *      Redirector(3),
                                      * or other (4).
PROGTYPE = 2
                                      * ICON is the icon to be displayed to
                                      * represent this application in CASSETUP
                                      * A restriction in Release 1.1 of
                                      * CASSETUP is that this must be a
                                      * bitmap (bmp) file or DLL resource.
                                      * The path is relative to the directory
                                      * where cassetup is installed.
ICON = CASSETUP:#107

                                      * OS tells whether the program runs
                                      * under OS/2 (1) or DOS (2)
OS = 1

                                      * PACKAGE tells whether it is a complete
                                      * application (1) or a fix (2)
PACKAGE = 1

                                      * If it is a fix, FIXTO is the APPNICK
                                      * of the application it fixes.
* FIXTO =

                                      * And FIXLEVEL specifies the relative
                                      * fix level.  It can be -1 to indicate
                                      * it is an unsequenced fix.
* FIXLEVEL =

****************************************************************
*                   IMAGE LOAD SECTION                         *
* (elements in this section describe how the application's     *
* install image is put onto a Code Server -- usually by being  *
* copied from install diskettes or CD-ROM)                     *
****************************************************************

                 * The directories below are set up when the application's
                 * install images are loaded onto the code server.

                                      * APPDIR is the subdirectory (relative
                                      * to the CID mount point) where
                                      * the app's install images will be
                                      * stored. The directory will be created
                                      * if it does not exist.
                                      * The CID Mount Point is specified
                                      * in the CASSETUP gui.
APPDIR = IMG\mpts50

                                      * WORKDIR is a subdirectory (relative
                                      * to the WORK alias) where various
                                      * application-required programs may be
                                      * placed.  It is optional, but almost
                                      * every application will need one.  The
                                      * directory will be created if it
                                      * does not exist.
                                      * Some CID documentation refers to this
                                      * as the EXE directory.
                                      * The WORK alias is specified in the GUI.
WORKDIR = EXE\mpts50

                                      * DLLDIR is the directory (relative to
                                      * the DLL alias) where DLLs for
                                      * the product will be placed.  Not all
                                      * applications will need one.
                                      * The DLL alias is specified in the GUI.
DLLDIR = DLL\mpts50

                                      * RSPDIR is the directory (relative to
                                      * the RESP alias) where response
                                      * files will be placed.
RESPDIR = RSP\mpts50

                                      * LOGDIR is the directory (relative
                                      * to the LOG alias) where log files
                                      * will be placed.
LOGDIR = LOG\mpts50

                 * The parameters below describe the methods to be
                 * used to put the applications's images on the Code Server.

                                      * METHOD defines whether XCOPY or an
                                      * application-supplied program will be
                                      * used to load the images.
                                      * Methods are 1=XCOPY-is-used
                                      *             2=Application-supplied
METHOD =  2

                                      * NUMDSKT is the number of diskettes
                                      * (or CD-ROMS)in the package.  It is
                                      * required when the XCOPY method is
                                      * being used, but optional otherwise.
NUMDSKT = 1

                        * The next parameter deals with loading the images
                        * using an application-provided program.

                                      * If METHOD==2 the IMAGELOAD keywords
                                      * specify the commands to be run and
                                      * the meaning of their return codes.
                                      * IMAGELOAD.0 specifies the number of
                                      * commands to be run.
IMAGELOAD.0 = 1
                                      * IMAGELOAD.n is a template for the
                                      * nth command that will be executed.
                                      * Templates may contain Symbolic
                                      * Substitution Parameters, which will be
                                      * replaced by actual values when the
                                      * command line is executed.
                                      * The Symbolic Substitutions supported
                                      * for IMAGELOAD are
                                      *     $T      which is replaced by the
                                      *             target path (the path to
                                      *             which code images are to
                                      *             be moved).
                                      *     $S      which is replaced by the
                                      *             source drive (and,
                                      *             possibly, path) from which
                                      *             the code images will be
                                      *             copied.
                                      *     $W      which is replaced by the
                                      *             fully-qualified path of
                                      *             the Work directory.
                                      *     $D      which is replaced by the
                                      *             fully-qualified path of
                                      *             the DLL directory.
                                      *     $F      which applies only to CSDs
                                      *             and is replaced by the
                                      *             fully-qualified path of
                                      *             the Work directory of the
                                      *             application being fixed.
IMAGELOAD.1 = XCOPY $S\CID\SERVER\MPTS $T /s

                        * The next parameter deals with commands to be
                        * run _before_ the image loading command.  They
                        * are run regardless of the Method selected.
                        * The work directory, will be put at the front of the
                        * path and dpath during execution of these steps

                                      * The SETUP keywords specify steps
                                      * to be performed before image
                                      * loading.  Commands to unpack the
                                      * load image program, for example, might
                                      * go here.
                                      * SETUP.0 says how many steps there
                                      * are
SETUP.0 = 1
                                      * SETUP.n gives the prompt text for
                                      * step n.  If it is blank, then the
                                      * step is done immediately
SETUP.1 =  MPTS 5.0 WARP SERVER CD-ROM
                                      * If there is a diskette prompt, then
                                      * the diskette can be verified either by
                                      * Volume Label or presence of a file.
                                      * These elements are optional.
SETUP.1.0MarkerFile = CID\SERVER\MPTS\MPTS.EXE
* SETUP.1.1Volser = WARP SERVER
                                      * For each step, there can be as many
                                      * commands as needed. SETUP.n.0 parm
                                      * tells how many commands make up
                                      * step n.
SETUP.1.0 =     0

****************************************************************
*                      INSTALL SECTION                         *
* (elements in this section deal with how the application is   *
* remotely installed).                                         *
****************************************************************

                                      * INSTCMD is the template of the
                                      * install command.  Symbolic
                                      * substitution is supported for $T, $S,
                                      * $D and $W as described above, but
                                      * also for
                                      *     $B (boot drive)
                                      *     $M (Maint dir)
                                      *     $R (response file dir)
                                      *     $V (server name)
                                      *     $F (directory for the /S2 parm)
                                      *     $C (client name)
                                      *     $O (boot drive)
INSTCMD = $S\mpts /e:prod /s:$S /t:$B /l1:$L\"client".log /r:
                                      * INSTCMDM is used if we use a
                                      * different install command when running
                                      * under a maintenance system
INSTCMDM = $S\mpts /e:maint /s:$S /t:$B /l1:$L\"client".log /r:

                                      * block for the install command line.
                                      * If it is specified then the response
                                      * file (usually /R) parameter in
                                      * INSTPROG must be at the end of the
                                      * string and be empty.  For example:
                                      *    myinstpg /S:something  /R:
DEFRESPFILE = default.rsp

                                      * MAINTSYSREQ tells whether the install
                                      * command must be run under a
                                      * maintenance system (1 is yes, 0 no)
MaintSysReq = 0


****************************************************************
*              MAINTENANCE SYSTEM SECTION                      *
* (applications that have a PROGTYPE of 1 (OS), 2 (transport)  *
* or 3 (redirector) have associated commands that allow them   *
* to be installed as part of Maintnance Systems.  This section *
* describes those commands.                                    *
****************************************************************

                                      * MSCMD.0 tells how many commands
                                      * follow
MSCmd.0 = 2
                                      * MSCMD.n is the template for the nth
                                      * command.  Symbolic substitution for
                                      * $T, $W, $D and $S is always supported
                                      * and other translation is available
                                      * during processing of Boot Diskette
                                      * Build scripts.
MSCmd.1 = $S\mpts /e:prep /s:$S /t:$M /tu:$B /l1:$L\"client".log /r:
MSCmd.1.0DefRespFile = default.rsp
                                      * MSCMD.n.0CmdName associates a name
                                      * with the nth command.  The name
                                      * should contain only letters and
                                      * numbers, and should be unique among
                                      * all MSCMDs in all Application
                                      * Profiles.
MSCmd.1.0CmdName = mpts_prep

                                      * MAINTSYSBUILD is the ordinal(s) of the
                                      * mscmd(s) that define how a
                                      * disk-based maintenance system is
                                      * built with this app.
MSCmd.2 = $S\thinlaps . $T $N
MaintSysBuild = 1
