/*     Warp Server Sample LCU Command File           */
/*---------------------------------------------------*/
/*         DO NOT MODIFY THE NEXT EIGHT LINES        */
/*---------------------------------------------------*/

parse ARG client logfile additional

QUEUE_REBOOT = 0
CALL_AGAIN = 0

Call AddDLLFunctions

x.0.instprog = ''
x.0.rspdir   = ''
x.0.statevar = 'CAS_STATE'
x.0.default  = ''


/*---------------------------------------------------*/
/*             MODIFICATIONS START HERE              */
/*---------------------------------------------------*/


/*****************************************************/
/*                 SRVATTCH SECTION                  */
/*****************************************************/


server1 = '\\cidserver\'                                       /* SRVIFS CID Server                       */

/* 'SRVATTCH w: 'server1'writedsk' */                          /* Additional SRVATTCHs can be placed here */

/*****************************************************/
/*                 VARIABLES SECTION                 */
/*****************************************************/

/*---------------------------------------------------*/
/*         DO NOT REMOVE THE NEXT FIVE LINES         */
/*              (They may be modified)               */
/*---------------------------------------------------*/

bootdrive = 'c:'                                                /* Boot Drive                             */
configsys = bootdrive || '\CONFIG.SYS'                          /* Fully qualified path to CONFIG.SYS     */
maintdir  = bootdrive || '\SERVICE'                             /* Maintenance directory, refrenced by    */

cddrive   = 'x:'                                                /* CD-ROM Redirected Drive                */
writedrive = 'w:'                                               /* Redirected Write Drive                 */
wsdir = cddrive'\WARPSRV'                                       /* Path to Warp Server files              */
ciddir = cddrive'\CID'                                          /* Path to Warp Server CID directory      */
dllpath = ciddir'\DLL\OS2;'ciddir'\LOCINSTU;'wsdir';'           /* Paths to the DLL directories on server */
exepath = ciddir'\EXE\OS2'                                      /* Path to executable directory on server */
lcucmd = writedrive'\CLIENT'                                    /* Location of .cmd files (passed to casagent) */
logsdir = writedrive'\LOGS'                                     /* Log file directory                     */
respdir = writedrive'\RSP'                                      /* Response file directory                */
configsys = bootdrive'\CONFIG.SYS'                              /* Fully qualified path to CONFIG.SYS     */
cidsrvdir = cddrive'\CID\SERVER'                                /* Product image directory                */
cidcltdir = cddrive'\CID\CLIENT'                                /* Product image directory for clients    */
os2img  = cddrive'\OS2IMAGE'                                    /* OS/2 Warp product image directory      */
mptsdrive = "C:"                                                /* MPTS target directory                  */
booksdrive = "C:"                                               /* Books target directory                 */
adsmtgtpath = "C:\PSNS"                                         /* PSNS target directory                  */
psftgtpath = "C:"                                               /* PSF target directory                   */
nsctgtpath = "C:"                                               /* NSC target directory                   */
karattgtpath = "C:\SYSVIEW2"                                    /* SYSVIEW2 target directory              */
ldcs_install = "lo319a1"                                        /* Directory of LAN Distance A1 image     */
                                                                /* CID\SERVER\LDCS                        */
nwtgtpath = "C:\NETWARE"                                        /* NetWare target directory               */

/*****************************************************/
/*               PRODUCT DATA SECTION                */
/*****************************************************/

x.seinst = 1                                                    /* structure index                      */
x.1.name='OS/2 3.0'                                             /* product name                         */
x.1.statevar = 'CAS_' || x.1.name                               /* state variable name                  */
x.1.instprog = EXEPATH'\seinst',                                /* fully qualified install program name */
               ' /b:'bootdrive,                                 /* - bootdrive                          */
               ' /s:'os2img,                                    /* - source directory                   */
               ' /t:'maintdir,                                  /* - service directory                  */
               '/l1:'logsdir'\warpsrv\'client'.log',            /* - log file                           */
               ' /r:'                                           /* - response file flag (auto selection)*/
x.1.rspdir   = respdir'\warpsrv\'                               /* response file directory              */
x.1.default  = 'warpsrv.rsp'                                    /* default response file name           */

x.mpts = 2                                                       /* structure index                      */
x.2.name='MPTS'                                                  /* product name                         */
x.2.statevar = 'CAS_' || x.2.name                                /* state variable name                  */
x.2.instprog = cidsrvdir'\mpts\mpts  ',                          /* fully qualified install program name */
                 ' /e:maint  ',                                  /* - maintenance installation           */
                 ' /s:'cidsrvdir'\mpts  ',                       /* - source directory                   */
                 ' /t:' || mptsdrive || '\  ',                   /* - target directory                   */
                 ' /tu:' || bootdrive || '\ ',                   /* - location of config.sys             */
                 ' /l1:'logsdir'\mpts\'client'.mpt',             /* - log file                           */
                 ' /r:'                                          /* - response file parameter            */
x.2.rspdir   = respdir'\mpts\'                                   /* - response file path                 */
x.2.default  = 'mpts.rsp'                                        /* - response file                      */

x.lanserver = 3                                                  /* structure index                      */
x.3.name='LAN Server'                                            /* product name                         */
x.3.statevar = 'CAS_' || x.3.name                                /* state variable name                  */
x.3.instprog = cidsrvdir'\ibmls\laninstr   ',                    /* fully qualified install program name */
               '/l1:'logsdir'\ls\'client'.ins  ',                /* - error log file                     */
               '/srv ',                                          /* - install a server                   */
               '/r:'                                             /* - response file flag (auto selection)*/
x.3.rspdir = respdir'\ls\'                                       /* response file directory              */
x.3.default = 'lssrv.rsp'                                        /* default response file name           */

x.nsc = 4                                                        /* structure index                      */
x.4.name='NSC'                                                   /* product name                         */
x.4.statevar = 'CAS_' || x.4.name                                /* state variable name                  */
x.4.instprog = wsdir'\instnsc.cmd ',                             /* fully qualified install program name */
                 ' /l1:'logsdir'\nsc\'client'.log ',             /* - error log file                     */
                 ' 'cidsrvdir' ',                                /* - CID Server path                    */
                 ' 'nsctgtpath' '                                /* - NSC path                           */
x.4.rspdir   = ''                                                /*                                      */
x.4.default  = ''                                                /*                                      */

x.tcpapps = 5                                                    /* structure index                      */
x.5.name = 'TCP/IP Applications'                                 /* product name                         */
x.5.statevar = 'CAS_' || x.5.name                                /* state variable name                  */
x.5.instprog = cidsrvdir'\tcpapps\install /b- ',                 /* fully qualified install program name */
                 ' /s:'cidsrvdir'\tcpapps         ',             /* - source directory                   */
                 ' /l1:'logsdir'\tcpapps\'client'.tcp',          /* - error log file                     */
                 ' /r:'                                          /* - response file flag (auto selection)*/
x.5.rspdir = respdir'\tcpapps\'                                  /* response file directory              */
x.5.default = 'tcpapps.rsp'                                      /* default response file name           */

x.nvlupd = 6                                                     /* structure index                      */
x.6.name = 'NetWare Requester'                                   /* product name                         */
x.6.statevar = 'CAS_' || x.6.name                                /* state variable name                  */
x.6.instprog = wsdir'\nvlupd 'logsdir'\nwreq\'client'.nwr ',     /* fully qualified install program name & error file */
               cidsrvdir' ',                                     /* - CID Server path                    */
               nwtgtpath' ',                                     /* - NetWare CID Server path            */
               respdir'\NWREQ\NWGTWY.RSP'                        /* - NetWare default response file      */
x.6.rspdir = ''                                                  /*                                      */
x.6.default = ''                                                 /*                                      */

x.ldcs = 7                                                       /* structure index                      */
x.7.name='Lan Distance Connection Server'                        /* product name                         */
x.7.statevar = 'CAS_' || x.7.name                                /* state variable name                  */
x.7.instprog = cidsrvdir'\ldcs\'ldcs_install'\install.exe ',     /* fully qualified install program name */
                 ' /l1:'logsdir'\ldcs\'client'.ldi ',            /* - error log file                     */
                 ' /r:'                                          /* - response file flag (auto selection)*/
x.7.rspdir = respdir'\ldcs\'                                     /* response file directory              */
x.7.default = 'ldcs.rsp'                                         /* default response file name           */

x.ldcsconfig = 8                                                 /* structure index                      */
x.8.name = 'LAN Distance Configuration'                          /* product name                         */
x.8.statevar = 'CAS_'|| x.8.name                                 /* state variable name                  */
x.8.instprog = wsdir'\ldconfig.exe ',                            /* fully qualified install program name */
                 ' /l1:'logsdir'\ldcs\'client'.cfg ',            /* - error log file                     */
                 '/r:'                                           /* - response file flag (auto selection)*/
x.8.rspdir = respdir'\ldcs\'                                     /* response file directory              */
x.8.default = 'ldcscfg.rsp '                                     /* default response file name           */

x.sysview2 = 9                                                   /* structure index                      */
x.9.name = 'SystemView Management Server'                        /* product name                         */
x.9.statevar = 'CAS_'|| x.9.name                                 /* state variable name                  */
x.9.instprog = cidsrvdir'\SYSVIEW2\server_2\svinst ',            /* fully qualified install program name */
                 ' /l1:'logsdir'\sysview2\'client'.err ',        /* - error log file                     */
                 ' /l2:'logsdir'\sysview2\'client'.log ',        /* - install log file                   */
                 ' /a:i ',                                       /* - action flag - i = install          */
                 ' /x ',                                         /* - interactive flag x = unattended    */
                 ' /c:'cidsrvdir'\sysview2\server_2\ikobase.icf ', /* - catalog file name                */
                 ' /s:'cidsrvdir'\sysview2\server_2 ',           /* - source directory                   */
                 ' /o:DRIVE  ',                                  /* - originating system                 */
                 ' /p:"SystemView Manager Installation" ',       /* - product name                       */
                 ' /t:'karattgtpath' ' ,                         /* - target directory                   */
                 ' /tu:'bootdrive'\ ',                           /* - location of config.sys             */
                 ' /r:'                                          /* - response file parameter            */
x.9.rspdir = respdir'\sysview2\'                                 /* - response file path                 */
x.9.default = 'sysview2.rsp'                                     /* - response file                      */

x.sysviewclient = 10                                             /* structure index                      */
x.10.name = 'SystemView Client'                                  /* product name                         */
x.10.statevar = 'CAS_'|| x.10.name                               /* state variable name                  */
x.10.instprog = cidcltdir'\SYSVIEW2\client_2\svinst ',           /* fully qualified install program name */
                 ' /l1:'logsdir'\sysview2\'client'.cer ',        /* - error log file                     */
                 ' /l2:'logsdir'\sysview2\'client'.clg ',        /* - install log file                   */
                 ' /a:i ',                                       /* - action flag - i = install          */
                 ' /x ',                                         /* - interactive flag x = unattended    */
                 ' /c:'cidcltdir'\sysview2\client_2\sysvcli.icf ', /* - catalog file name                */
                 ' /s:'cidcltdir'\sysview2\client_2 ',           /* - source directory                   */
                 ' /o:DRIVE ',                                   /* - originating system                 */
                 ' /t:'karattgtpath' ' ,                         /* - target directory                   */
                 ' /tu:'bootdrive'\ ',                           /* - location of config.sys             */
                 ' /r:'                                          /* - response file parameter            */
x.10.rspdir = respdir'\sysview2\'                                /* - response file path                 */
x.10.default = 'sysclnt.rsp'                                     /* - response file                      */

x.books = 11                                                     /* structure index                      */
x.11.name='Warp Server Books'                                    /* product name                         */
x.11.statevar = 'CAS_' || x.11.name                              /* state variable name                  */
x.11.instprog = wsdir'\INSTBOOK ',                               /* fully qualified install program name */
                     '/r:'respdir'\warpsrv\books.rsp ',          /* - response file name                 */
                     '/l1:'logsdir'\warpsrv\'client'.bks ',      /* - error log file                     */
                     '/s:'cidsrvdir'\BOOKS ',                    /* source directory                     */
                     '/t:'booksdrive                             /* target directory                     */
x.11.rspdir = ''                                                 /* no auto selection                    */
x.11.default = ''                                                /* -                                    */

x.psns = 12                                                      /* structure index                      */
x.12.name='Warp Server Backup/Restore'                           /* product name                         */
x.12.statevar = 'CAS_' || x.12.name                              /* state variable name                  */
x.12.instprog = cidsrvdir'\psns\psnsinst ',                      /* fully qualified install program name */
                 ' /l1:'logsdir'\PSNS\'client'.err ',            /* - error log file                     */
                 ' /l2:'logsdir'\PSNS\'client'.hst ',            /* - history log file                   */
                 ' /s:'cidsrvdir'\PSNS ',                        /* - source directory                   */
                 ' /t:'adsmtgtpath' ',                           /* - target directory                   */
                 ' /tu:'bootdrive' ',                            /* - location of config.sys             */
                 ' /r:'                                          /* - response file parameter            */
x.12.rspdir = respdir'\psns\'                                    /* - response file path                 */
x.12.default = 'psns.rsp'                                        /* - response file                      */

x.psfprep = 13                                                   /* structure index                      */
x.13.name='IBM PSF/2 Prep'                                       /* product name                         */
x.13.statevar = 'CAS_' || x.13.name                              /* state variable name                  */
x.13.instprog = wsdir'\psf2prep ',                               /* fully qualified install program name */
                 ' 'cidsrvdir' ',                                /* - CID Server path                    */
                 ' 'psftgtpath' '                                /* - PSF/2 path on target machine       */
x.13.rspdir   = ''                                               /*                                      */
x.13.default  = ''                                               /*                                      */

x.psf = 14                                                       /* structure index                      */
x.14.name='IBM PSF/2'                                            /* product name                         */
x.14.statevar = 'CAS_' || x.14.name                              /* state variable name                  */
x.14.instprog = cidsrvdir'\psf2\install.exe ',                   /* fully qualified install program name */
                 ' /a:i ',                                       /* - action flag - i = install          */
                 ' /x ',                                         /* - interactive flag x = unattended    */
                 ' /s:'psftgtpath'\psf2\install ',               /* - source directory created by psfprep*/
                 ' /o:DRIVE ',                                   /* - originating system                 */
                 ' /p:"PSF/2 - Install SERVER" ',                /* - product name                       */
                 ' /tu:'bootdrive'\ ',                           /* - location of config.sys             */
                 ' /t:'psftgtpath' ',                            /* - target directory                   */
                 ' /L1:'logsdir'\PSF\'client'.log ',             /* - error log file                     */
                 ' /L2:'logsdir'\PSF\'client'.hst ',             /* - history log file                   */
                 ' /r:'                                          /* - response file parameter            */
x.14.rspdir = respdir'\psf\'                                     /* - response file path                 */
x.14.default = 'psf.rsp'                                         /* - response file                      */

x.ffst = 15                                                      /* structure index                      */
x.15.name='FFST'                                                 /* product name                         */
x.15.statevar = 'CAS_' || x.15.name                              /* state variable name                  */
x.15.instprog = cidsrvdir'\ffst\ffstinst.exe ',                  /* fully qualified install program name */
                 ' /s:'cidsrvdir'\ffst  ',                       /* - source directory                   */
                 ' /l1:'logsdir'\ffst\'client'.log ',            /* - error log file                     */
                 ' /rout:1 '                                     /* - rout parameter                     */
x.15.rspdir   = ''                                               /*                                      */
x.15.default  = ''                                               /*                                      */

x.thinifs = 16                                                   /* structure index                      */
x.16.name='SRVIFS Requester'                                     /* product name                         */
x.16.statevar = ''                                               /* state variable name                  */
x.16.instprog = ciddir'\srvifs\thinifs',                         /* fully qualified install program name */
               '  /s:'ciddir'\srvifs',                           /* - source directory                   */
               '  /t:'BOOTDRIVE'\srvifsrq',                      /* - target directory                   */
               ' /tu:'BOOTDRIVE'\',                              /* - config.sys location                */
               ' /l1:'logsdir'\srvifs\'client'.log',             /* - log file                           */
               ' /req:*',                                        /* - random requester name              */
               ' /srv:'server1'CDROM',                           /* - SRVIFS server name                 */
               ' /d:x'                                           /* - remote drive identifier            */
x.16.rspdir   = ''                                               /* no auto selection                    */
x.16.default  = ''

x.thinifs2 = 17                                                  /* structure index                      */
x.17.name='SRVIFS Requester'                                     /* product name                         */
x.17.statevar = ''                                               /* state variable name                  */
x.17.instprog = ciddir'\srvifs\thinifs',                         /* fully qualified install program name */
               '  /s:'ciddir'\srvifs',                           /* - source directory                   */
               '  /t:'BOOTDRIVE'\srvifsrq',                      /* - target directory                   */
               ' /tu:'BOOTDRIVE'\',                              /* - config.sys location                */
               ' /l1:'logsdir'\srvifs\'client'.log',             /* - log file                           */
               ' /req:*',                                        /* - random requester name              */
               ' /srv:'server1'WRITEDSK',                        /* - SRVIFS server name                 */
               ' /d:w'                                           /* - remote drive identifier            */
x.17.rspdir   = ''                                               /* no auto selection                    */
x.17.default  = ''

x.casinstl = 18                                                  /* structure index                               */
x.18.name='LAN CID Utility'                                      /* product name                                  */
x.18.statevar = ''                                               /* state variable name                           */
x.18.instprog = ciddir'\locinstu\casinstl',                      /* fully qualified install program name          */
               ' /cmd:'lcucmd,                                   /* - location of .cmd files (passed to casagent) */
               ' /tu:'BOOTDRIVE,                                 /* - config.sys location (boot drive)            */
               ' /pl:'DLLPATH,                                   /* - string to add to libpath                    */
               ' /pa:'ciddir'\locinstu',                         /* - workstation's path to LCU code on server    */
               ' /l1:'logsdir'\lcu\'client'.log',                /* - CASINSTL log file                           */
               ' /l2:'logsdir'\lcu\SRVIFS_REQ.log',              /* - CASAGENT log file                           */
               '/d',                                             /* - will use LCU default.cmd file               */
               ' /req:'client                                    /* - LCU client name                             */
x.18.rspdir   = ''                                               /* no auto selection                    */
x.18.default  = ''

x.casdelet = 19                                                  /* structure index                      */
x.19.name='LAN CID Utility Delete'                               /* product name                         */
x.19.statevar = ''                                               /* state variable name                  */
x.19.instprog = ciddir'\locinstu\casdelet   ',                   /* fully qualified install program name */
               ' /pl:' || dllpath || '   ',                      /* - string to delete from libpath      */
               ' /tu:' || bootdrive                              /* - config.sys location (boot drive)   */
x.19.rspdir   = ''                                               /* no auto selection                    */
x.19.default  = ''

x.ifsdel = 20                                                    /* structure index                      */
x.20.name='SRVIFS Delete'                                        /* product name                         */
x.20.statevar = ''                                               /* state variable name                  */
x.20.instprog = ciddir'\srvifs\ifsdel     ',                     /* fully qualified install program name */
               ' /t:' || bootdrive || '\srvifsrq ',              /* - target directory                   */
               ' /tu:' || bootdrive                              /* - config.sys location                */
x.20.rspdir   = ''                                               /* no auto selection                    */
x.20.default  = ''

x.nwmpts = 21                                                    /* structure index                      */
x.21.name='MPTS for NetWare'                                     /* product name                         */
x.21.statevar = 'CAS_' || x.21.name                              /* state variable name                  */
x.21.instprog = cidsrvdir'\mpts\mpts  ',                         /* fully qualified install program name */
                 ' /e:prod  ',                                   /* - product installation               */
                 ' /s:'cidsrvdir'\mpts  ',                       /* - source directory                   */
                 ' /t:' || mptsdrive || '\  ',                   /* - target directory                   */
                 ' /tu:' || bootdrive || '\ ',                   /* - location of config.sys             */
                 ' /l1:'logsdir'\mpts\'client'.nwr',             /* - log file                           */
                 ' /r:'                                          /* - response file parameter            */
x.21.rspdir   = respdir'\mpts\'                                  /* - response file path                 */
x.21.default  = 'nwmpts.rsp'                                     /* - response file                      */


x.ldcsmpts = 22                                                  /* structure index                      */
x.22.name='MPTS for LAN Distance'                                /* product name                         */
x.22.statevar = 'CAS_' || x.22.name                              /* state variable name                  */
x.22.instprog = cidsrvdir'\mpts\mpts  ',                         /* fully qualified install program name */
                 ' /e:prod  ',                                   /* - product installation               */
                 ' /s:'cidsrvdir'\mpts  ',                       /* - source directory                   */
                 ' /t:' || mptsdrive || '\  ',                   /* - target directory                   */
                 ' /tu:' || bootdrive || '\ ',                   /* - location of config.sys             */
                 ' /l1:'logsdir'\mpts\'client'.nwr',             /* - log file                           */
                 ' /r:'                                          /* - response file parameter            */
x.22.rspdir   = respdir'\mpts\'                                  /* - response file path                 */
x.22.default  = 'ldcsmpts.rsp'                                   /* - response file                      */

x.cidicons = 23                                                  /* structure index                      */
x.23.name='Warp Server Icon Shuffle'                             /* product name                         */
x.23.statevar = 'CAS_' || x.23.name                              /* state variable name                  */
x.23.instprog = wsdir'\cidicons.exe ',                           /* fully qualified install program name */
                 '  /t:'BOOTDRIVE,                               /* - target directory                   */
                 ' /tu:'BOOTDRIVE'\',                            /* - config.sys location                */
                 ' /s:'wsdir,                                    /* - source directory                   */
                 '/l1:'logsdir'\warpsrv\'client'.ico',           /* - log file                           */
                 ' /r:'                                          /* - response file flag (auto selection)*/
x.23.rspdir   = respdir'\warpsrv\'                               /* response file directory              */
x.23.default  = 'cidicons.rsp'                                   /* default response file name           */


/*---------------------------------------------------*/
/*         NUMBER OF PROGRAMS SET UP IN THE          */
/*               PRODUCT DATA SECTION                */
/*---------------------------------------------------*/

NUM_INSTALL_PROGS = 23


/*---------------------------------------------------*/
/*       DO NOT MODIFY OR REMOVE THE NEXT LINE       */
/*---------------------------------------------------*/

OVERALL_STATE = GetEnvironmentVars()


/*****************************************************/
/*                  INSTALL SECTION                  */
/*****************************************************/

Do Forever
  Select
    when OVERALL_STATE = 0 then do
      if RunInstall(x.seinst)   == BAD_RC then exit             /* Install operating system     */
      if RunInstall(x.mpts)     == BAD_RC then exit             /* Install LAPS                 */
      if RunInstall(x.thinifs)  == BAD_RC then exit             /* Install SRVIFS requester     */
      if RunInstall(x.thinifs2)  == BAD_RC then exit            /* Install SRVIFS requester     */
      if RunInstall(x.casinstl) == BAD_RC then exit             /* Install LCU                  */
      Call CheckBoot                                            /* Reboot if it was requested   */
    end
    when OVERALL_STATE = 1 then do
      if RunInstall(x.ffst) == BAD_RC then exit                 /* Install FFST                 */
      if RunInstall(x.lanserver) == BAD_RC then exit            /* Install LS                   */
      if RunInstall(x.nsc) == BAD_RC then exit                  /* Install NSC                  */
      if RunInstall(x.tcpapps) == BAD_RC then exit              /* Install TCP/IP Apps Kit      */
      if RunInstall(x.sysviewclient) == BAD_RC then exit        /* Install SysView2 Client      */
      if RunInstall(x.sysview2) == BAD_RC then exit             /* Install SysView2 Server      */
      if RunInstall(x.books) == BAD_RC then exit                /* Install Books                */
      if RunInstall(x.psns) == BAD_RC then exit                 /* Install PSNS                 */
      if RunInstall(x.psfprep) == BAD_RC then exit              /* Install PSF Prep             */
      if RunInstall(x.psf) == BAD_RC then exit                  /* Install PSF                  */
      if RunInstall(x.nvlupd) == BAD_RC then exit               /* Install NetWare              */
      if RunInstall(x.nwmpts) == BAD_RC then exit               /* Install LAPS for NetWare - ODI2NDI */
      Call CheckBoot                                            /* Reboot if it was requested   */
    end
    when OVERALL_STATE = 2 then do
      if RunInstall(x.ldcs) == BAD_RC then exit                 /* Install LD Connection Server */
      if RunInstall(x.ldcsconfig) == BAD_RC then exit           /* Configure LAN Distance       */
      if RunInstall(x.ldcsmpts) == BAD_RC then exit             /* Install LAPS for NetWare - ODI2NDI */
      if RunInstall(x.cidicons) == BAD_RC then exit             /* Install LAPS for NetWare - ODI2NDI */
      Call CheckBoot                                            /* Reboot if it was requested   */
    end
    when OVERALL_STATE = 3 then do
      if RunInstall(x.ifsdel)   == BAD_RC then exit             /* Delete SRVIFS requester      */
      if RunInstall(x.casdelet) == BAD_RC then exit             /* Delete LCU                   */
      Call Reboot                                               /* Reboot                       */
    end
  end
end
exit


/*************************************************************/
/*         DO NOT MODIFY ANY CODE BELOW THIS LINE !!!        */
/*************************************************************/

RunInstall: procedure expose x. queue_reboot call_again configsys logfile client OVERALL_STATE
  parse arg index, new_state, other
  install = SetEnvironmentVar(x.index.statevar)
  if install == YES then do
    state = value('REMOTE_INSTALL_STATE',,'OS2ENVIRONMENT')     /* check   REMOTE_INSTALL_STATE */
    if state <> 0 then
      rc2 = LogMessage(75, x.index.name, state, logfile)        /* log an install starting msg  */
    else
      rc2 = LogMessage(72, x.index.name, '', logfile)           /* log an install starting msg  */

    install_prog = 'CMD /C ' || strip(x.index.instprog)         /* build the command string     */

                                                /* If automatic responst file selection was     */
                                                /* indicated, then get the response file name   */
                                                /* and append it to the command string.         */
    if x.index.default <> '' then do
      response_file = DetermineResponseFile(x.index.rspdir, client,
                                            , x.index.default, x.index.name,
                                            , logfile)
      if response_file == '' then exit
      install_prog = install_prog || response_file
    end

    install_prog                                                /* Execute the install program  */

    state = value(x.index.statevar,,'OS2ENVIRONMENT')           /* Get the current install state*/
                                                                /* for this install program from*/
                                                                /* the environment.             */

                                                /* Check the return code and set the global     */
                                                /* variables accordingly.                       */

    parse value ProcessReturnCode(rc, state, QUEUE_REBOOT, CALL_AGAIN, logfile),
           with rc ',' state ',' QUEUE_REBOOT ',' CALL_AGAIN

    rc2 = value(x.index.statevar, state, 'OS2ENVIRONMENT')      /* Set the new install state for*/
                                                                /* this install program.        */

                                                /* Put the install state into the CONFIG.SYS,   */
                                                /* if this action was unsuccessful, then exit.  */

    if PutStateVar(x.index.statevar, state, configsys, logfile) <> 0 then exit

    if rc == GOOD_RC then do
      if pos('\SEMAINT', translate(install_prog)) <> 0 then     /* If the install program was   */
        Call PreserveStartupCmd(install_prog)                   /* SEMAINT, then make sure      */
                                                                /* STARTUP.CMD won't be copied  */
                                                                /* over when SEINST runs.       */

      rc2 = LogMessage(70, x.index.name, '', logfile)           /* log an install successful msg*/
      return GOOD_RC                                            /* return a good return code    */
    end

    else do
      rc2 = LogMessage(71, x.index.name, '', logfile)           /* log an install failed msg    */
      if (new_state <> '') then                                 /* If a new state was requested,*/
                                                                /* then set OVERALL_STATE to the*/
        rc2 = SetState(new_state, 'RunInstall', 2)              /* new state.                   */

      return BAD_RC                                             /* return a bad return code     */
    end
  end
  return GOOD_RC


/*************************************************************/
PreserveStartupCmd: procedure

  parse upper arg string, other

  if pos('/T:', string) <> 0 then                               /* Determine if there is a      */
    findvalue = '/T:'                                           /* target parameter.  If there  */
  else                                                          /* is none, return.             */
    if pos('-T:',string) <> 0 then
      findvalue = '-T:'
    else
      return 0

  remain = substr(string, pos(findvalue, string) + 3)           /* Get the value of the target  */
                                                                /* parameter.                   */
  blank = pos(' ', remain)

  if (blank <> 0) then
    param = substr(remain, 1, blank-1)
  else
    param = remain
                                                /* Erase startup.lcu in the target directory,  */
                                                /* then rename startup.s13 to startup.lcu      */

  'if exist ' param || '\startup.lcu erase  ' param || '\startup.lcu'
  'if exist ' param || '\startup.s13 rename ' param || '\startup.s13 *.lcu'

  return 0

/*************************************************************/
GetEnvironmentVars: procedure expose X. NUM_INSTALL_PROGS


  OVERALL_STATE = value(x.0.statevar,,'OS2ENVIRONMENT')         /* Get the overall install state */
                                                                /* from the environment.         */

  if OVERALL_STATE == '' then do                                /* If the overall install state  */
    OVERALL_STATE = 0                                           /* has not been set yet, reset   */
    do I=0 to NUM_INSTALL_PROGS by 1                            /* all the state vars to 0.      */
      if x.I.statevar <> '' then
        rc = value(x.I.statevar,'0','OS2ENVIRONMENT')
    end
  end

  return OVERALL_STATE


/*************************************************************/
SetEnvironmentVar: procedure
  parse arg env_string, other
  if env_string == '' then do                                   /* If the install program has   */
                                                                /* no state variable, then ...  */

    rc = value('REMOTE_INSTALL_STATE','0','OS2ENVIRONMENT')     /* Set the REMOTE_INSTALL_STATE */
                                                                /* to 0 so that the program     */
                                                                /* being run can know that is   */
                                                                /* being run in an unattended   */
                                                                /* environment.                 */

    return YES                                                  /* return install=yes           */

  end

  state = value(env_string,,'OS2ENVIRONMENT')                   /* Otherwise, get the value of  */
                                                                /* the state variable from the  */
                                                                /* environment.                 */

  if state <> '' then do                                        /* If the state variable exists */

    rc = value('REMOTE_INSTALL_STATE',state,'OS2ENVIRONMENT')   /* Set the REMOTE_INSTALL_STATE */
                                                                /* environment variable to the  */
                                                                /* value of the state variable. */

    return YES                                                  /* return install=yes           */
  end
  else                                                          /* Otherwise,                   */
    return NO                                                   /* return install=no            */


/*************************************************************/
BootDriveIsDiskette:

  if IsBootDriveRemovable() == 1 then do                        /* If the drive booted from is  */
                                                                /* a diskette drive, then set   */
    rc2 = SetState(OVERALL_STATE+1)                             /* the OVERALL_STATE to the     */
                                                                /* requested value.             */
    return 'YES'

  end

  else                                                          /* else the machine was booted  */
                                                                /* from the hardfile.           */
    return 'NO'

/*************************************************************/
BootDriveIsFixedDisk:

  if IsBootDriveRemovable() == 0 then do                        /* If the drive booted from is  */
                                                                /* a fixed disk, then set       */
    rc2 = SetState(OVERALL_STATE+1)                             /* the OVERALL_STATE to the     */
                                                                /* requested value.             */
    return 'YES'

  end

  else                                                          /* else the machine was booted  */
                                                                /* from a diskette.             */
    return 'NO'

/*************************************************************/
SetState:
  parse arg new_state, proc_name, param_num, other

    if datatype(new_state, number) <> 1 then do                 /* If the new state requested is*/
                                                                /* not numeric, then log an     */
      if proc_name <> '' then                                   /* error.                       */
        LogMessage(63, proc_name, param_num, logfile)
      else
        LogMessage(63, 'SetState', 1, logfile)

      exit
    end

    OVERALL_STATE = new_state                                   /* Set the OVERALL_STATE to the */
                                                                /* new state requested.         */

    rc = value(x.0.statevar, new_state, 'OS2ENVIRONMENT')       /* Save the OVERALL_STATE in the*/
                                                                /* environment.                 */
    return 'NO_ERROR'


/*************************************************************/
SaveStates:

  do I=0 to NUM_INSTALL_PROGS by 1            /* Put the install states into the CONFIG.SYS,  */
    if x.I.statevar <> '' then                /* if this action was unsuccessful, then exit.  */

      if PutStateVar(x.I.statevar, value(x.I.statevar,,'OS2ENVIRONMENT'),
                     , configsys, logfile) <> 0 then exit
  end

  return

/*************************************************************/
RebootAndGotoState:
  parse arg new_state, other

  rc2 = SetState(new_state, 'RebootAndGotoState', 1)           /* Set the state to go to in    */
                                                               /* OVERALL_STATE.               */

  Call SaveStates                                              /* Save the environment vars    */

  Call Reboot                                                  /* Reboot the machine           */

  return


/*************************************************************/
CheckBoot:
  if QUEUE_REBOOT <> 0 then do                                  /* If a reboot has been queued  */
                                                                /* by an install program ...    */

    if CALL_AGAIN == 0 then                                     /* If no install programs want  */
                                                                /* to be recalled ...           */

      rc = SetState(OVERALL_STATE+1)                            /* Increment the overall state  */
                                                                /* variable.                    */

    Call SaveStates                                             /* Save the environment vars    */

    Call Reboot                                                 /* Reboot the machine           */

  end

  else                                                          /* Otherwise, increment the     */
    rc = SetState(OVERALL_STATE+1)                              /* state variable and go on.    */

  return


/*************************************************************/
Reboot:
  bootdrive

  rc = value('OS2_SHELL', bootdrive || '\OS2\CMD.EXE', 'OS2ENVIRONMENT')
  rc = value('COMSPEC',   bootdrive || '\OS2\CMD.EXE', 'OS2ENVIRONMENT')

  'cls'
  rc = AskRemoveDiskIfFloppy()

  pathlen = length(exepath)                                     /* Get length of exepath        */
  posslash = lastpos("\",strip(exepath))                        /* Determine the last occurcnce */
                                                                /*   of '\' in exepath          */

  if posslash = pathlen then                                    /* If '\' is the last character */

    cmdline = exepath || 'SETBOOT /IBD:' || bootdrive           /* Then append 'SETBOOT'        */

  else

    cmdline = exepath || '\SETBOOT /IBD:' || bootdrive          /* Else append '\SETBOOT'       */

  LogMessage(74, '', '', logfile)                               /* Log a message indicating     */
                                                                /* reboot.                      */
  cmdline

  LogMessage(73, 'SETBOOT', '', logfile)                        /* If the code gets to here, the*/
                                                                /* reboot failed.  Log a message*/
  exit                                                          /* and exit.                    */

  return


/*************************************************************/
AddDLLFunctions:
  Call RxFuncAdd 'ProcessReturnCode',     'CASAGENT', 'PROCESSRETURNCODE'
  Call RxFuncAdd 'DetermineResponseFile', 'CASAGENT', 'DETERMINERESPONSEFILE'
  Call RxFuncAdd 'PutStateVar',           'CASAGENT', 'PUTSTATEVAR'
  Call RxFuncAdd 'LogMessage',            'CASAGENT', 'GETANDLOGMESSAGE'
  Call RxFuncAdd 'AskRemoveDiskIfFloppy', 'CASAGENT', 'ASKREMOVEDISKIFFLOPPY'
  Call RxFuncAdd 'IsBootDriveRemovable',  'CASAGENT', 'ISBOOTDRIVEREMOVABLE'
  Call RxFuncAdd 'GetOS2Version',         'CASAGENT', 'GETOS2VERSION'
  Call RxFuncAdd 'SetCIDType',            'CASAGENT', 'SETCIDTYPE'

  return
