/*****************************************************************************/
/*                                                                           */
/*   Component   : Sample Port Connection Manager (PCM)                      */
/*                                                                           */
/*   Module      : PCMDEF.H                                                  */
/*                                                                           */
/*   Description : This module contains definitions of symbols and           */
/*                 data structures used by the PCM.                          */
/*                                                                           */
/*   Property of IBM.                                                        */
/*   This sample code is available without warranty upon request.            */
/*                                                                           */
/*****************************************************************************/

#define FAILURE       TRUE
#ifndef SUCCESS
#define SUCCESS       FALSE
#endif
#define EXLST_ORDER   0xC400    /* PCM exit list must run after CM */


typedef struct pcmcb   far *PPCMCB;
typedef struct sap     far *PSAP;
typedef struct call    far *PCALL;


typedef struct sap              /** SAP Structure **/
   {
      USHORT    Status;
      ULONG     U_SAP_ID;
      USHORT (far pascal *Indicate)( PVOID );
      USHORT (far pascal *Confirm)( PVOID );
      PPCMCB    pPCMCB;
   } SAP;


typedef struct pcmcb            /** PCM Control Block **/
   {
      PPCMCB    pNextPCMCB;
      USHORT    Status;
      UCHAR     PCMName[16];
      PCALL     pCallList;
      SAP       CMSAP;
   } PCMCB;



typedef struct call             /** Call Structure **/
   {
      /* Port Variables */
      PCALL     pNextCall;
      PPCMCB    pPCMCB;
      ULONG     U_CI_ID;
   } CALL;


typedef struct                  /** GCCI Primitive Structure **/
   {
      USHORT    CtrlInfoLength;
      USHORT    PrimitiveCode;
      USHORT    DataInfoLength;
      UCHAR     Selector;
      UCHAR     IDType;
      ULONG     Identifier;
   } GCCI, far *PGCCI;



/* Status */

#define STATUS_DEACTIVATED   0  
#define STATUS_ACTIVATING    1  
#define STATUS_ACTIVATED     2  
#define STATUS_DEACTIVATING  3  


