/*****************************************************************************/
/*                                                                           */
/*   Component   : Sample Port Connection Manager (PCM)                      */
/*                                                                           */
/*   Module      : PCMPROTO.H                                                */
/*                                                                           */
/*   Description : This module contains the function prototype               */
/*                 declarations for all routines in the sample PCM.          */
/*                                                                           */
/*   Property of IBM.                                                        */
/*   This sample code is available without warranty upon request.            */
/*                                                                           */
/*****************************************************************************/

         /*  PCMINIT.C  */

USHORT _export _loadds pascal StartPCM( GCCI_COM_MER_INITPCM *pInitCB );
PPCMCB _export _loadds pascal PCMCBList( VOID );
USHORT near StartupDLL( VOID );
VOID _loadds pascal far ExitDLL( USHORT ExitType );
VOID   near StartupPCM( PUCHAR pPCMName, GCCI_COM_MER_INITPCM *pInitCB );
VOID   near ShutdownPCM( PUCHAR pPCMName );
PPCMCB near CreatePCMCB( PUCHAR pPCMName );
PPCMCB near DeletePCMCB( PPCMCB pPCMCB );
USHORT _loadds pascal ProcessGCCI( PGCCI pGCCI ); 
VOID   near ActivateSAP( GCCI_COM_CI_ACT_SAP_REQ *pRequest );
VOID   near CMActivateSAPConfirm( PPCMCB pPCMCB, USHORT CompCode );
VOID   near DeactivateSAP( GCCI_COM_CI_DEACT_SAP_REQ *pRequest );
VOID   near DeactivateSAPConfirm( PSAP pSAP );
BOOL   near DeactivateSAPIndicate( PSAP pSAP, USHORT CompCode );

         /*  PCMCALL.C  */
VOID   near CallSetupRequest( CI_PCM_CALL_SETUP_REQ *pRequest );
USHORT near ProcessSubfields( CI_PCM_CALL_SETUP_REQ *pRequest );
USHORT near ProcessBearerCap( SF_CC_BEAR_CAP *pBearer );
USHORT near ProcessCalledNum( SF_CC_CALLED_NUMBER *pCalledNum );
USHORT near ProcessCallingNum( SF_CC_CALLING_NUMBER *pCallingNum, PPCMCB pPCMCB );
USHORT near ProcessChanID( SF_CC_CHANNEL_ID *pChanID, PPCMCB pPCMCB );
USHORT near ProcessPermConn( SF_CS_PERMANENT *pPermConn );
BOOL near CallSetupConfirm( PPCMCB pPCMCB, ULONG U_CI_ID, USHORT CompCode );
BOOL near CallSetupIndicate( PCALL pCall);
VOID near CallSetupResponse( CI_PCM_CALL_SETUP_RSP *pResponse );
VOID near CallControlRequest( CI_PCM_CALL_CTRL_REQ *pRequest );
BOOL near CallControlConfirm( PCALL pCall, USHORT CompCode );
VOID near CallClearRequest( CI_PCM_CALL_CLEAR_REQ *pRequest );
PCALL near CreateCall( PPCMCB pPCMCB );
PCALL near DeleteCall( PCALL pCall );
VOID near ActivateConn( PCALL pCall );
VOID near ConnectCall( PCALL pCall );
VOID near TerminateCall( PCALL pCall );
BOOL near CallClearConfirm( PCALL pCall, USHORT CompCode );               
BOOL near CallClearIndicate( PCALL pCall, USHORT CompCode );
VOID near CallClearResponse( CI_PCM_CALL_CLEAR_RSP *pResponse );
BOOL near CallConnectedIndicate( PCALL pCall, USHORT CompCode );
BOOL near CallStatusIndicate( PCALL pCall, UCHAR Status, UCHAR DataLength, PUCHAR pData );

