/*****************************************************************************/
/*                                                                           */
/*   Module      : WCL1632.H                                                 */
/*                                                                           */
/*   Description : 32/16 Bit Type Definitions                                */
/*                                                                           */
/*   Property of IBM.                                                        */
/*   This sample code is available without warranty upon request.            */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/* 32 Bit Support                                                            */
/*****************************************************************************/
#ifndef _32_INCL
#define _32_INCL

#ifdef __32BIT__                       /* 32-bit Compiler Options  */
#define STRUCT16 _Packed struct
#define PTR16 * _Seg16
#define SEGPTR *
#define CALL16 _Far16 _Pascal
#define CALL16PTR * _Seg16 _Far16 _Pascal
#else                                  /* 16-bit Compiler Options  */
#define STRUCT16 struct
#define PTR16 far *
#define SEGPTR far *
#define CALL16 far pascal
#define CALL16PTR far pascal *
#endif


/*****************************************************************************/
/*                                                                           */
/*                            Type Definitions                               */
/*                                                                           */
/*****************************************************************************/
#ifndef VOID
typedef void               VOID;
#endif

#ifndef __32BIT__                      /* 32-bit Compiler Options  */
typedef unsigned char      BYTE;
#endif
typedef unsigned short int WORD;
typedef unsigned long int  DWORD;

#endif
